SET DECIMAL = DOT.

define create (country=!charend('/')).

!let !datpath = !unquote("c:\pirls\Data\").
!let !savpath = !unquote("c:\pirls\Data\").

!do !cty !in(!country).

!let !indata  = !concat('"',!datpath,acg,!cty,'r1.dat"').
!let !savdata = !concat('"',!savpath,acg,!cty,'r1.sav"').

*NOTE: Assignment of variable names.

data list file = !indata
 /IDCNTRY     1-   5     
  IDSCHOOL    6-   9     
  IDPOP      10-  10     
  INPRL01    11-  11     
  ACBGGRD1   12-  12     
  ACBGGRD2   13-  13     
  ACBGGRD3   14-  14     
  ACBGGRD4   15-  15     
  ACBGGRD5   16-  16     
  ACBGGRD6   17-  17     
  ACBGGENR   18-  21     
  ACBGBENR   22-  25     
  ACBGG4EN   26-  28     
  ACBGB4EN   29-  31     
  ACBGCLOC   32-  32     
  ACBGCLOS   33-  33     
  ACBGCOMM   34-  34     
  ACBGAVR1   35-  35     
  ACBGAVR2   36-  36     
  ACBGAVR3   37-  37     
  ACBGAVR4   38-  38     
  ACBGAVR5   39-  39     
  ACBGAVR6   40-  40     
  ACBGENDY   41-  41     
  ACBGPSS1   42-  42     
  ACBGPSS2   43-  43     
  ACBGPSS3   44-  44     
  ACBGPSS4   45-  45     
  ACBGPGS1   46-  46     
  ACBGPGS2   47-  47     
  ACBGPGS3   48-  48     
  ACBGPGS4   49-  49     
  ACBGSABI   50-  50     
  ACBGIDY    51-  53     
  ACBGIHD    54-  55     
  ACBGIMD    56-  57     
  ACBGIDYW   58-  58     
  ACBGIDYO   59-  61 (1)
  ACBGSTST   62-  62     
  ACBGINF1   63-  63     
  ACBGINF2   64-  64     
  ACBGINF3   65-  65     
  ACBGINF4   66-  66     
  ACBGINF5   67-  67     
  ACBG1GR1   68-  68     
  ACBG1GR2   69-  69     
  ACBG1GR3   70-  70     
  ACBG1GR4   71-  71     
  ACBG1GR5   72-  72     
  ACBGCUR1   73-  73     
  ACBGCUR2   74-  74     
  ACBGCUR3   75-  75     
  ACBGRWS    76-  76     
  ACBGRII    77-  77     
  ACBGRSP    78-  78     
  ACBGPOL    79-  79     
  ACBGMA1    80-  80     
  ACBGMA2    81-  81     
  ACBGMA3    82-  82     
  ACBGMA4    83-  83     
  ACBGMA5    84-  84     
  ACBGME1    85-  85     
  ACBGME2    86-  86     
  ACBGME3    87-  87     
  ACBGME4    88-  88     
  ACBGME5    89-  89     
  ACBGME6    90-  90     
  ACBGME7    91-  91     
  ACBGME8    92-  92     
  ACBGME9    93-  93     
  ACBGME10   94-  94     
  ACBGME11   95-  95     
  ACBGME12   96-  96     
  ACBGIMPL   97-  97     
  ACBGLI     98-  98     
  ACBGLIST   99-  99     
  ACBGLIBC  100- 101     
  ACBGLIBM  102- 102     
  ACBGRDCR  103- 103     
  ACBGCMP1  104- 106     
  ACBGCMP2  107- 107     
  ACBGST1   108- 108     
  ACBGST2   109- 109     
  ACBGST3   110- 110     
  ACBGST4   111- 111     
  ACBGST5   112- 112     
  ACBGST6   113- 113     
  ACBGST7   114- 114     
  ACBGST8   115- 115     
  ACBGST9   116- 116     
  ACBGST10  117- 117     
  ACBGST11  118- 118     
  ACBGST12  119- 119     
  ACBGST13  120- 120     
  ACBGPRG1  121- 121     
  ACBGPRG2  122- 122     
  ACBGPRG3  123- 123     
  ACBGPRG4  124- 124     
  ACBG4FA1  125- 125     
  ACBG4FA2  126- 126     
  ACBG4FA3  127- 127     
  ACBG4FA4  128- 128     
  ACBG4FA5  129- 129     
  ACBG4FA6  130- 130     
  ACBGPAR1  131- 131     
  ACBGPAR2  132- 132     
  ACBGPAR3  133- 133     
  ACBGPAR4  134- 134     
  ACBGCHA1  135- 135     
  ACBGCHA2  136- 136     
  ACBGCHA3  137- 137     
  ACBGCHA4  138- 138     
  ACBGCHA5  139- 139     
  ACBGPB1   140- 140     
  ACBGPB2   141- 141     
  ACBGPB3   142- 142     
  ACBGPB4   143- 143     
  ACBGPB5   144- 144     
  ACBGPB6   145- 145     
  ACBGPB7   146- 146     
  ACBGPB8   147- 147     
  ACBGPB9   148- 148     
  ACBGPB10  149- 149     
  ACBGPB11  150- 150     
  ACBGPB12  151- 151     
  ACBGPB13  152- 152     
  ACBGCOOP  153- 153     
  ACBGTSTM  154- 154     
  ACBGACT1  155- 157     
  ACBGACT2  158- 160     
  ACBGACT3  161- 163     
  ACBGACT4  164- 166     
  ACBGACT5  167- 169     
  ACBGACT6  170- 172     
  ACBGCOMP  173- 175     
  ACDGACTT  176- 178     
  DPCDATE   179- 184     
  STOTWGTU  185- 197 (6)
  JKCZONE   198- 199     
  JKCREP    200- 200     
  WGTFAC1   201- 213 (6)
  WGTADJ1   214- 226 (6)
  SCHWGT    227- 239 (6)
  ACDGIHY   240- 247 (3)
  ACDGIDYW  248- 250 (1)
  ACDG4PAR  251- 251     
  ACDGCHA   252- 252     
  ACDGPB    253- 253     
  ACDGST    254- 254     
  ACDGCMP   255- 255     
  ACDG1GR   256- 256     .


*NOTE: Assignment of variable labels.

variable labels   IDCNTRY  "*COUNTRY ID*" 
                 /IDSCHOOL "*SCHOOL ID*" 
                 /IDPOP    "POPULATION INDICATOR" 
                 /INPRL01  "INDICATOR VARIABLE" 
                 /ACBGGRD1 "GEN/GRADES IN SCH/1 GRADE BELOW" 
                 /ACBGGRD2 "GEN/GRADES IN SCH/2 GRADES BELOW" 
                 /ACBGGRD3 "GEN/GRADES IN SCH/3 GRADES BELOW" 
                 /ACBGGRD4 "GEN/GRADES IN SCH/4 GRADES BELOW" 
                 /ACBGGRD5 "GEN/GRADES IN SCH/2ND ISCED YEAR" 
                 /ACBGGRD6 "GEN/GRADES IN SCH/1ST ISCED YEAR" 
                 /ACBGGENR "GEN/TOTAL ENROLLMENT GIRLS" 
                 /ACBGBENR "GEN/TOTAL ENROLLMENT BOYS" 
                 /ACBGG4EN "GEN/TOTAL ENROLLMENT FOURTH-GRADE GIRLS" 
                 /ACBGB4EN "GEN/TOTAL ENROLLMENT FOURTH-GRADE BOYS" 
                 /ACBGCLOC "GEN/SCH LOCATION TOWN OR CITY" 
                 /ACBGCLOS "GEN/SCH LOCATION SIZE" 
                 /ACBGCOMM "GEN/CHARACTER OF SCH LOCATION AREA" 
                 /ACBGAVR1 "GEN/AVAILABLE RESSOURCE/PUBLIC LIBRARY" 
                 /ACBGAVR2 "GEN/AVAILABLE RESSOURCE/BOOKSTORE" 
                 /ACBGAVR3 "GEN/AVAILABLE RESSOURCE/<2ND-LEVEL SCH>" 
                 /ACBGAVR4 "GEN/AVAILABLE RESSOURCE/<UNI,COLLEGE>" 
                 /ACBGAVR5 "GEN/AVAILABLE RESSOURCE/MUSEUM" 
                 /ACBGAVR6 "GEN/AVAILABLE RESSOURCE/THEATRE" 
                 /ACBGENDY "GEN/% STD ENROLLMENT END OF SCH YEAR" 
                 /ACBGPSS1 "GEN/% STD IN SCH/ECON DISADVANTAGED HOME" 
                 /ACBGPSS2 "GEN/% STD IN SCH/ECON AFFLUENT HOME" 
                 /ACBGPSS3 "GEN/% STD IN SCH/BORN IN ANOTHER COUNTRY" 
                 /ACBGPSS4 "GEN/% STD IN SCH/INSTR IN HOME LANGUAGE" 
                 /ACBGPGS1 "GEN/% STD 1-4 GRADE/ANOTHER 1ST LANGUAGE" 
                 /ACBGPGS2 "GEN/% STD 1-4 GRADE/LEARNING DISABILITY" 
                 /ACBGPGS3 "GEN/% STD 1-4 GRADE/REMEDIAL RDG INSTR" 
                 /ACBGPGS4 "GEN/% STD 1-4 GRADE/ENRICHMENT RDG INSTR" 
                 /ACBGSABI "GEN/SAME ABILITY IN 4TH GRADE CLS" 
                 /ACBGIDY  "GEN/4TH GRADE/INSTRUCTION DAYS PER YEAR" 
                 /ACBGIHD  "GEN/4TH GRADE/INSTRUCTION HOURS PER DAY" 
                 /ACBGIMD  "GEN/4TH GRADE/INSTRUCTION MIN PER DAY" 
                 /ACBGIDYW "GEN/4TH GRADE/SCH DAYS PER WEEK" 
                 /ACBGIDYO "GEN/4TH GRADE/SCH DAYS PER WEEK/OTHERS" 
                 /ACBGSTST "GEN/LENGTH STD STAY WITH SAME TCH" 
                 /ACBGINF1 "GEN/INFLUENCE/CURRICULUM" 
                 /ACBGINF2 "GEN/INFLUENCE/EXAMINATIONS+ASSESSMENTS" 
                 /ACBGINF3 "GEN/INFLUENCE/OTHER STANDARDIZED TESTS" 
                 /ACBGINF4 "GEN/INFLUENCE/WISHES OF PARENTS" 
                 /ACBGINF5 "GEN/INFLUENCE/WISHES OF STUDENTS" 
                 /ACBG1GR1 "GEN/BEGIN 1ST GRD/RECOGNIZE MOST LETTERS" 
                 /ACBG1GR2 "GEN/BEGIN 1ST GRD/READ SOME WORDS" 
                 /ACBG1GR3 "GEN/BEGIN 1ST GRD/READ SENTENCES" 
                 /ACBG1GR4 "GEN/BEGIN 1ST GRD/WRITE LETTERS" 
                 /ACBG1GR5 "GEN/BEGIN 1ST GRD/WRITE SOME WORDS" 
                 /ACBGCUR1 "GEN/EMPHASIS CURRICULUM/READING" 
                 /ACBGCUR2 "GEN/EMPHASIS CURRICULUM/WRITING" 
                 /ACBGCUR3 "GEN/EMPHASIS CURRICULUM/SPEAK,LISTEN" 
                 /ACBGRWS  "GEN/SCH HAVE/OWN STATEMENT OF RDG CUR" 
                 /ACBGRII  "GEN/SCH HAVE/INFORMAL INITIATIVES" 
                 /ACBGRSP  "GEN/SCH HAVE/SCH-BASED PROGRAMS FOR TCH" 
                 /ACBGPOL  "GEN/SCH POLICY/COORDINATE RDG INSTR" 
                 /ACBGMA1  "GEN/MATERIALS/READING SERIES" 
                 /ACBGMA2  "GEN/MATERIALS/TEXTBOOKS" 
                 /ACBGMA3  "GEN/MATERIALS/VARIETY CHD BOOKS" 
                 /ACBGMA4  "GEN/MATERIALS/DIFFERENT CURRICULAR AREAS" 
                 /ACBGMA5  "GEN/MATERIALS/CHD NEWSPAPERS+MAGAZINES" 
                 /ACBGME1  "GEN/MAJOR EMPHASIS/KNOWING LETTERS" 
                 /ACBGME2  "GEN/MAJOR EMPHASIS/LETTER-SOUND RELATION" 
                 /ACBGME3  "GEN/MAJOR EMPHASIS/READING WORDS" 
                 /ACBGME4  "GEN/MAJOR EMPHASIS/RDG ISOLATED SENTENCE" 
                 /ACBGME5  "GEN/MAJOR EMPHASIS/RDG CONNECTED TEXT" 
                 /ACBGME6  "GEN/MAJOR EMPHASIS/IDENTIFYING MAIN IDEA" 
                 /ACBGME7  "GEN/MAJOR EMPHASIS/EXPLAINING,SUPPORTING" 
                 /ACBGME8  "GEN/MAJOR EMPHASIS/PERSONAL EXPERIENCE" 
                 /ACBGME9  "GEN/MAJOR EMPHASIS/COMPARING DIFF TEXTS" 
                 /ACBGME10 "GEN/MAJOR EMPHASIS/MAKING PREDICTIONS" 
                 /ACBGME11 "GEN/MAJOR EMPHASIS/MAKING GENERALIZATION" 
                 /ACBGME12 "GEN/MAJOR EMPHASIS/DESCRIBING TEXT STYLE" 
                 /ACBGIMPL "GEN/IMPLEMENTATION OF RDG INSTR PROGRAM" 
                 /ACBGLI   "GEN/SCH LIBRARY" 
                 /ACBGLIST "GEN/SCH LIBRARY/STAFF" 
                 /ACBGLIBC "GEN/SCH LIBRARY/BOOKS CONTAIN" 
                 /ACBGLIBM "GEN/SCH LIBRARY/MAGAZINES CONTAIN" 
                 /ACBGRDCR "GEN/HOW MANY RDG CORNERS-CLSRM LIBRARIES" 
                 /ACBGCMP1 "GEN/NUMBER OF PC/FOR 4TH GRADE STD" 
                 /ACBGCMP2 "GEN/NUMBER OF PC/ACCESS TO INTERNET" 
                 /ACBGST1  "GEN/SHORTAGE AFFECT/INSTRUCTIONAL STAFF" 
                 /ACBGST2  "GEN/SHORTAGE AFFECT/TCH TEACH READING" 
                 /ACBGST3  "GEN/SHORTAGE AFFECT/INSTR MATERIALS" 
                 /ACBGST4  "GEN/SHORTAGE AFFECT/SUPPLIES" 
                 /ACBGST5  "GEN/SHORTAGE AFFECT/SCH BUILDING,GROUND" 
                 /ACBGST6  "GEN/SHORTAGE AFFECT/HEAT.LIGHTING SYSTEM" 
                 /ACBGST7  "GEN/SHORTAGE AFFECT/INSTRUCTIONAL SPACE" 
                 /ACBGST8  "GEN/SHORTAGE AFFECT/SPECIAL EQUIPMENT" 
                 /ACBGST9  "GEN/SHORTAGE AFFECT/COMPUTERS" 
                 /ACBGST10 "GEN/SHORTAGE AFFECT/PC SOFTWARE" 
                 /ACBGST11 "GEN/SHORTAGE AFFECT/PC SUPPORT STAFF" 
                 /ACBGST12 "GEN/SHORTAGE AFFECT/LIBRARY BOOKS" 
                 /ACBGST13 "GEN/SHORTAGE AFFECT/AUD-VISUAL RESOURCES" 
                 /ACBGPRG1 "GEN/PROGRAMS AVAILABLE/ADULT LITERACY" 
                 /ACBGPRG2 "GEN/PROGRAMS AVAILABLE/PAR EDUCATION" 
                 /ACBGPRG3 "GEN/PROGRAMS AVAILABLE/CHILD CARE" 
                 /ACBGPRG4 "GEN/PROGRAMS AVAILABLE/HEALTH SERVICE" 
                 /ACBG4FA1 "GEN/4GRADE+FAMILY/TCH-PAR CONFERENCE" 
                 /ACBG4FA2 "GEN/4GRADE+FAMILY/INFO ABOUT SCH" 
                 /ACBG4FA3 "GEN/4GRADE+FAMILY/WRITTEN REPORTS" 
                 /ACBG4FA4 "GEN/4GRADE+FAMILY/TCH HOME VISITS" 
                 /ACBG4FA5 "GEN/4GRADE+FAMILY/SCH EVENTS WITH PAR" 
                 /ACBG4FA6 "GEN/4GRADE+FAMILY/ACTIVITIES WITH PAR" 
                 /ACBGPAR1 "GEN/% STD WITH PAR/HELP IN SCH" 
                 /ACBGPAR2 "GEN/% STD WITH PAR/ATTEND CONFERENCES" 
                 /ACBGPAR3 "GEN/% STD WITH PAR/ATTEND SCH EVENTS" 
                 /ACBGPAR4 "GEN/% STD WITH PAR/DO ACTIVITIES FOR SCH" 
                 /ACBGCHA1 "GEN/SCH CHARACTER/TCH JOB SATISFACTION" 
                 /ACBGCHA2 "GEN/SCH CHARACTER/TCH EXPECTATIONS" 
                 /ACBGCHA3 "GEN/SCH CHARACTER/PAR SUPPORT" 
                 /ACBGCHA4 "GEN/SCH CHARACTER/SCH PROPERTY" 
                 /ACBGCHA5 "GEN/SCH CHARACTER/STD DESIRE TO DO WELL" 
                 /ACBGPB1  "GEN/PROBLEMS/STD TARDINESS" 
                 /ACBGPB2  "GEN/PROBLEMS/STD ABSENTEEISM" 
                 /ACBGPB3  "GEN/PROBLEMS/CLASSROOM DISTURBANCE" 
                 /ACBGPB4  "GEN/PROBLEMS/CHEATING" 
                 /ACBGPB5  "GEN/PROBLEMS/PROFANITY" 
                 /ACBGPB6  "GEN/PROBLEMS/VANDALISM" 
                 /ACBGPB7  "GEN/PROBLEMS/THEFT" 
                 /ACBGPB8  "GEN/PROBLEMS/ABUSE AMONG STD" 
                 /ACBGPB9  "GEN/PROBLEMS/PHYS CONFLICTS AMONG STD" 
                 /ACBGPB10 "GEN/PROBLEMS/<DRUG ABUSE>" 
                 /ACBGPB11 "GEN/PROBLEMS/<WEAPONS>" 
                 /ACBGPB12 "GEN/PROBLEMS/<RACISM>" 
                 /ACBGPB13 "GEN/PROBLEMS/<SEXUAL HARASSMENT>" 
                 /ACBGCOOP "GEN/COOPERATION+COLLABORATION AMONG TCH" 
                 /ACBGTSTM "GEN/FORMAL SCHEDULED TIME FOR TCH" 
                 /ACBGACT1 "GEN/% TIME FOR ACTS/CURRICULUM+PEDAGOGY" 
                 /ACBGACT2 "GEN/% TIME FOR ACTS/MANAGING STAFF" 
                 /ACBGACT3 "GEN/% TIME FOR ACTS/ADMINISTRATIVE DUTY" 
                 /ACBGACT4 "GEN/% TIME FOR ACTS/PAR+COMM RELATIONS" 
                 /ACBGACT5 "GEN/% TIME FOR ACTS/TEACHING" 
                 /ACBGACT6 "GEN/% TIME FOR ACTS/OTHER" 
                 /ACBGCOMP "GEN/TIME TO COMPLETE QUESTIONNAIRE" 
                 /ACDGACTT "Q#32 SUM OF ACTIVITIES" 
                 /DPCDATE  "DATE OF CREATION AT DPC" 
                 /STOTWGTU "TOTAL STUDENT WEIGHT" 
                 /JKCZONE  "JACKKNIFE ZONE" 
                 /JKCREP   "JACKKNIFE REPLICATE CODE" 
                 /WGTFAC1  "SCHOOL WEIGHTING FACTOR" 
                 /WGTADJ1  "SCHOOL WEIGHT ADJUSTMENT" 
                 /SCHWGT   "SCHOOL WEIGHT" 
                 /ACDGIHY  "NUMBER OF HOURS OF SCHOOL PER YEAR" 
                 /ACDGIDYW "NUMBER OF DAYS OF SCHOOL PER WEEK" 
                 /ACDG4PAR "INDEX OF HOME-SCHOOL INVOLVEMENT (HSI)" 
                 /ACDGCHA  "INDEX PRNCPLS PRCTPN SCHOOL CLMT (PPSC)" 
                 /ACDGPB   "INDEX PRNCPLS PRCTPN SCHOOL SFTY (PPSS)" 
                 /ACDGST   "INDEX AVAILBLTY OF SCHL RESOURCES (ASR)" 
                 /ACDGCMP  "AVAILBLTY OF COMPUTERS FOR INSTRUCTION" 
                 /ACDG1GR  "PERCNTAGES OF STDNTS WTH EARLY LIT SKLLS".


*NOTE: Assignment of value labels.

VALUE LABELS
            IDPOP      1  "POP 1"
                       9  "OMITTED"
                       /
            INPRL01    1  "PARTICIPATED IN PIRLS"
                       0  "DID NOT PARTICIPATE IN PIRLS"
                       9  "OMITTED"
                       /
            ACBGGRD1   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGGRD2   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGGRD3   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGGRD4   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGGRD5   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGGRD6   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGCLOC   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGCLOS   1  "LESS THAN 3,000 PEOPLE"
                       2  "3,001 TO 100,000 PEOPLE"
                       3  "100,001 TO 500,000 PEOPLE"
                       4  "MORE THAN 500,000 PEOPLE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGCOMM   1  "URBAN"
                       2  "SUBURBAN"
                       3  "RURAL"
                       9  "OMITTED"
                       /
            ACBGAVR1   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGAVR2   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGAVR3   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGAVR4   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGAVR5   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGAVR6   1  "WITHIN 30 MINUTES ONE-WAY BY CAR"
                       2  "WITHIN 2 HOURS ONE-WAY BY CAR"
                       3  "NOT READILY AVAILABLE"
                       9  "OMITTED"
                       /
            ACBGENDY   1  "98-100% "
                       2  "95-97% "
                       3  "90-94% "
                       4  "80-89% "
                       5  "LESS THAN 80% "
                       9  "OMITTED"
                       /
            ACBGPSS1   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPSS2   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPSS3   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPSS4   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPGS1   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPGS2   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPGS3   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPGS4   1  "0-10% "
                       2  "11-25% "
                       3  "26-50% "
                       4  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGSABI   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGIDYW   1  "6 DAYS"
                       2  "5 DAYS"
                       3  "OTHER"
                       9  "OMITTED"
                       /
            ACBGSTST   1  "VARIES GREATLY"
                       2  "ONE SCHOOL YEAR OR LESS"
                       3  "TWO YEARS"
                       4  "THREE YEARS"
                       5  "FOUR OR MORE YEARS"
                       9  "OMITTED"
                       /
            ACBGINF1   1  "A LOT OF INFLUENCE"
                       2  "SOME INFLUENCE"
                       3  "LITTLE OR NO INFLUENCE"
                       4  "NOT APPLICABLE"
                       9  "OMITTED"
                       /
            ACBGINF2   1  "A LOT OF INFLUENCE"
                       2  "SOME INFLUENCE"
                       3  "LITTLE OR NO INFLUENCE"
                       4  "NOT APPLICABLE"
                       9  "OMITTED"
                       /
            ACBGINF3   1  "A LOT OF INFLUENCE"
                       2  "SOME INFLUENCE"
                       3  "LITTLE OR NO INFLUENCE"
                       4  "NOT APPLICABLE"
                       9  "OMITTED"
                       /
            ACBGINF4   1  "A LOT OF INFLUENCE"
                       2  "SOME INFLUENCE"
                       3  "LITTLE OR NO INFLUENCE"
                       4  "NOT APPLICABLE"
                       9  "OMITTED"
                       /
            ACBGINF5   1  "A LOT OF INFLUENCE"
                       2  "SOME INFLUENCE"
                       3  "LITTLE OR NO INFLUENCE"
                       4  "NOT APPLICABLE"
                       9  "OMITTED"
                       /
            ACBG1GR1   1  "LESS THAN 25% "
                       2  "25-50% "
                       3  "51-75% "
                       4  "MORE THAN 75% "
                       9  "OMITTED"
                       /
            ACBG1GR2   1  "LESS THAN 25% "
                       2  "25-50% "
                       3  "51-75% "
                       4  "MORE THAN 75% "
                       9  "OMITTED"
                       /
            ACBG1GR3   1  "LESS THAN 25% "
                       2  "25-50% "
                       3  "51-75% "
                       4  "MORE THAN 75% "
                       9  "OMITTED"
                       /
            ACBG1GR4   1  "LESS THAN 25% "
                       2  "25-50% "
                       3  "51-75% "
                       4  "MORE THAN 75% "
                       9  "OMITTED"
                       /
            ACBG1GR5   1  "LESS THAN 25% "
                       2  "25-50% "
                       3  "51-75% "
                       4  "MORE THAN 75% "
                       9  "OMITTED"
                       /
            ACBGCUR1   1  "MORE EMPHASIS"
                       2  "SAME EMPHASIS"
                       3  "LESS EMPHASIS"
                       9  "OMITTED"
                       /
            ACBGCUR2   1  "MORE EMPHASIS"
                       2  "SAME EMPHASIS"
                       3  "LESS EMPHASIS"
                       9  "OMITTED"
                       /
            ACBGCUR3   1  "MORE EMPHASIS"
                       2  "SAME EMPHASIS"
                       3  "LESS EMPHASIS"
                       9  "OMITTED"
                       /
            ACBGRWS    1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGRII    1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGRSP    1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPOL    1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGMA1    1  "BASIS FOR INSTRUCTION"
                       2  "SUPPLEMENT"
                       3  "NOT USED"
                       4  "VARIES BY TEACHER/GRADE"
                       9  "OMITTED"
                       /
            ACBGMA2    1  "BASIS FOR INSTRUCTION"
                       2  "SUPPLEMENT"
                       3  "NOT USED"
                       4  "VARIES BY TEACHER/GRADE"
                       9  "OMITTED"
                       /
            ACBGMA3    1  "BASIS FOR INSTRUCTION"
                       2  "SUPPLEMENT"
                       3  "NOT USED"
                       4  "VARIES BY TEACHER/GRADE"
                       9  "OMITTED"
                       /
            ACBGMA4    1  "BASIS FOR INSTRUCTION"
                       2  "SUPPLEMENT"
                       3  "NOT USED"
                       4  "VARIES BY TEACHER/GRADE"
                       9  "OMITTED"
                       /
            ACBGMA5    1  "BASIS FOR INSTRUCTION"
                       2  "SUPPLEMENT"
                       3  "NOT USED"
                       4  "VARIES BY TEACHER/GRADE"
                       9  "OMITTED"
                       /
            ACBGME1    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME2    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME3    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME4    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME5    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME6    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME7    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME8    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME9    1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME10   1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME11   1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGME12   1  "<3_GRDS_BLW+EARLIER>"
                       2  "<2_GRDS_BLW>"
                       3  "<1_GRD_BLW>"
                       4  "<FOURTH GRADE>"
                       5  "NOT IN THESE GRADES"
                       9  "OMITTED"
                       /
            ACBGIMPL   1  "DIFF LEVER,SAME PROGRAM,DIFF SPEED"
                       2  "ALL STD SAME LEVEL"
                       3  "DIFF LEVEL,DIFF PROGRAM"
                       9  "OMITTED"
                       /
            ACBGLI     1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGLIST   1  "FULL-TIME LIBRARIAN"
                       2  "PART-TIME LIBRARIAN"
                       3  "STAFFED BY TEACHERS"
                       4  "STAFFED BY PARENTS OR OTHER VOLUNTEERS"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGLIBC   1  "250 OR FEWER"
                       2  "251-500"
                       3  "501-2,000"
                       4  "2,001-5,000"
                       5  "5,001-10,000"
                       6  "MORE THAN 10,000"
                      99  "OMITTED"
                      96  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGLIBM   1  "0"
                       2  "1-5"
                       3  "6-10"
                       4  "11-30"
                       5  "31 OR MORE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGRDCR   1  "ALL"
                       2  "MOST"
                       3  "SOME"
                       4  "NONE"
                       9  "OMITTED"
                       /
            ACBGCMP2   1  "ALL"
                       2  "MOST"
                       3  "SOME"
                       4  "NONE"
                       9  "OMITTED"
                       6  "LOGICALLY NOT APPLICABLE"
                       /
            ACBGST1    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST2    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST3    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST4    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST5    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST6    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST7    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST8    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST9    1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST10   1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST11   1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST12   1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGST13   1  "NOT AT ALL"
                       2  "A LITTLE"
                       3  "SOME"
                       4  "A LOT"
                       9  "OMITTED"
                       /
            ACBGPRG1   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPRG2   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPRG3   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGPRG4   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBG4FA1   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBG4FA2   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBG4FA3   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBG4FA4   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBG4FA5   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBG4FA6   1  "NEVER"
                       2  "ONCE A YEAR"
                       3  "2-3 TIMES A YEAR"
                       4  "4-6 TIMES A YEAR"
                       5  "7 OR MORE TIMES A YEAR"
                       9  "OMITTED"
                       /
            ACBGPAR1   1  "NOT APPLICABLE"
                       2  "0-10% "
                       3  "11-25% "
                       4  "26-50% "
                       5  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPAR2   1  "NOT APPLICABLE"
                       2  "0-10% "
                       3  "11-25% "
                       4  "26-50% "
                       5  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPAR3   1  "NOT APPLICABLE"
                       2  "0-10% "
                       3  "11-25% "
                       4  "26-50% "
                       5  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGPAR4   1  "NOT APPLICABLE"
                       2  "0-10% "
                       3  "11-25% "
                       4  "26-50% "
                       5  "MORE THAN 50% "
                       9  "OMITTED"
                       /
            ACBGCHA1   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHA2   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHA3   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHA4   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGCHA5   1  "VERY HIGH"
                       2  "HIGH"
                       3  "MEDIUM"
                       4  "LOW"
                       5  "VERY LOW"
                       9  "OMITTED"
                       /
            ACBGPB1    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB2    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB3    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB4    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB5    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB6    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB7    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB8    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB9    1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB10   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB11   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB12   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGPB13   1  "NOT A PROBLEM"
                       2  "MINOR PROBLEM"
                       3  "MODERATE PROBLEM"
                       4  "SERIOUS PROBLEM"
                       9  "OMITTED"
                       /
            ACBGCOOP   1  "YES"
                       2  "NO"
                       9  "OMITTED"
                       /
            ACBGTSTM   1  "EVERY DAY"
                       2  "TWO OR THREE TIMES A WEEK"
                       3  "ONCE A WEEK"
                       4  "ONCE A MONTH"
                       5  "LESS THAN ONCE A MONTH"
                       6  "NEVER"
                       9  "OMITTED"
                       /
            ACDG4PAR   1  "LOW"
                       2  "MEDIUM"
                       3  "HIGH"
                       9  "OMITTED"
                       /
            ACDGCHA    1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDGPB     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDGST     1  "HIGH"
                       2  "MEDIUM"
                       3  "LOW"
                       9  "OMITTED"
                       /
            ACDGCMP    1  "FEWER THAN 5 STUDENTS"
                       2  "5-10 STUDENTS"
                       3  "11-20 STUDENTS"
                       4  "> 20 STUDENTS"
                       5  "STUDENTS IN SCHOOL W/O ANY COMPUTERS"
                       9  "OMITTED"
                       /
            ACDG1GR    1  "< 25% BEGIN SCHOOL WITH SKILLS"
                       2  "25-50% BEGIN SCHOOL WITH SKILLS"
                       3  "51-75% BEGIN SCHOOL WITH SKILLS"
                       4  "> 75% BEGIN SCHOOL WITH SKILLS"
                       9  "OMITTED"
                       /
.


*NOTE: The "Not administered code" will be recoded to "sysmis"
       Variables coded BLANK are coded to "sysmis" as well
       If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0".

recode IDPOP    (8                = sysmis).
recode INPRL01  (8                = sysmis).
recode ACBGGRD1 (8                = sysmis).
recode ACBGGRD2 (8                = sysmis).
recode ACBGGRD3 (8                = sysmis).
recode ACBGGRD4 (8                = sysmis).
recode ACBGGRD5 (8                = sysmis).
recode ACBGGRD6 (8                = sysmis).
recode ACBGGENR (9998             = sysmis).
recode ACBGBENR (9998             = sysmis).
recode ACBGG4EN (998              = sysmis).
recode ACBGB4EN (998              = sysmis).
recode ACBGCLOC (8                = sysmis).
recode ACBGCLOS (8                = sysmis).
recode ACBGCOMM (8                = sysmis).
recode ACBGAVR1 (8                = sysmis).
recode ACBGAVR2 (8                = sysmis).
recode ACBGAVR3 (8                = sysmis).
recode ACBGAVR4 (8                = sysmis).
recode ACBGAVR5 (8                = sysmis).
recode ACBGAVR6 (8                = sysmis).
recode ACBGENDY (8                = sysmis).
recode ACBGPSS1 (8                = sysmis).
recode ACBGPSS2 (8                = sysmis).
recode ACBGPSS3 (8                = sysmis).
recode ACBGPSS4 (8                = sysmis).
recode ACBGPGS1 (8                = sysmis).
recode ACBGPGS2 (8                = sysmis).
recode ACBGPGS3 (8                = sysmis).
recode ACBGPGS4 (8                = sysmis).
recode ACBGSABI (8                = sysmis).
recode ACBGIDY  (998              = sysmis).
recode ACBGIHD  (98               = sysmis).
recode ACBGIMD  (98               = sysmis).
recode ACBGIDYW (8                = sysmis).
recode ACBGIDYO (8                = sysmis).
recode ACBGSTST (8                = sysmis).
recode ACBGINF1 (8                = sysmis).
recode ACBGINF2 (8                = sysmis).
recode ACBGINF3 (8                = sysmis).
recode ACBGINF4 (8                = sysmis).
recode ACBGINF5 (8                = sysmis).
recode ACBG1GR1 (8                = sysmis).
recode ACBG1GR2 (8                = sysmis).
recode ACBG1GR3 (8                = sysmis).
recode ACBG1GR4 (8                = sysmis).
recode ACBG1GR5 (8                = sysmis).
recode ACBGCUR1 (8                = sysmis).
recode ACBGCUR2 (8                = sysmis).
recode ACBGCUR3 (8                = sysmis).
recode ACBGRWS  (8                = sysmis).
recode ACBGRII  (8                = sysmis).
recode ACBGRSP  (8                = sysmis).
recode ACBGPOL  (8                = sysmis).
recode ACBGMA1  (8                = sysmis).
recode ACBGMA2  (8                = sysmis).
recode ACBGMA3  (8                = sysmis).
recode ACBGMA4  (8                = sysmis).
recode ACBGMA5  (8                = sysmis).
recode ACBGME1  (8                = sysmis).
recode ACBGME2  (8                = sysmis).
recode ACBGME3  (8                = sysmis).
recode ACBGME4  (8                = sysmis).
recode ACBGME5  (8                = sysmis).
recode ACBGME6  (8                = sysmis).
recode ACBGME7  (8                = sysmis).
recode ACBGME8  (8                = sysmis).
recode ACBGME9  (8                = sysmis).
recode ACBGME10 (8                = sysmis).
recode ACBGME11 (8                = sysmis).
recode ACBGME12 (8                = sysmis).
recode ACBGIMPL (8                = sysmis).
recode ACBGLI   (8                = sysmis).
recode ACBGLIST (8                = sysmis).
recode ACBGLIBC (98               = sysmis).
recode ACBGLIBM (8                = sysmis).
recode ACBGRDCR (8                = sysmis).
recode ACBGCMP1 (998              = sysmis).
recode ACBGCMP2 (8                = sysmis).
recode ACBGST1  (8                = sysmis).
recode ACBGST2  (8                = sysmis).
recode ACBGST3  (8                = sysmis).
recode ACBGST4  (8                = sysmis).
recode ACBGST5  (8                = sysmis).
recode ACBGST6  (8                = sysmis).
recode ACBGST7  (8                = sysmis).
recode ACBGST8  (8                = sysmis).
recode ACBGST9  (8                = sysmis).
recode ACBGST10 (8                = sysmis).
recode ACBGST11 (8                = sysmis).
recode ACBGST12 (8                = sysmis).
recode ACBGST13 (8                = sysmis).
recode ACBGPRG1 (8                = sysmis).
recode ACBGPRG2 (8                = sysmis).
recode ACBGPRG3 (8                = sysmis).
recode ACBGPRG4 (8                = sysmis).
recode ACBG4FA1 (8                = sysmis).
recode ACBG4FA2 (8                = sysmis).
recode ACBG4FA3 (8                = sysmis).
recode ACBG4FA4 (8                = sysmis).
recode ACBG4FA5 (8                = sysmis).
recode ACBG4FA6 (8                = sysmis).
recode ACBGPAR1 (8                = sysmis).
recode ACBGPAR2 (8                = sysmis).
recode ACBGPAR3 (8                = sysmis).
recode ACBGPAR4 (8                = sysmis).
recode ACBGCHA1 (8                = sysmis).
recode ACBGCHA2 (8                = sysmis).
recode ACBGCHA3 (8                = sysmis).
recode ACBGCHA4 (8                = sysmis).
recode ACBGCHA5 (8                = sysmis).
recode ACBGPB1  (8                = sysmis).
recode ACBGPB2  (8                = sysmis).
recode ACBGPB3  (8                = sysmis).
recode ACBGPB4  (8                = sysmis).
recode ACBGPB5  (8                = sysmis).
recode ACBGPB6  (8                = sysmis).
recode ACBGPB7  (8                = sysmis).
recode ACBGPB8  (8                = sysmis).
recode ACBGPB9  (8                = sysmis).
recode ACBGPB10 (8                = sysmis).
recode ACBGPB11 (8                = sysmis).
recode ACBGPB12 (8                = sysmis).
recode ACBGPB13 (8                = sysmis).
recode ACBGCOOP (8                = sysmis).
recode ACBGTSTM (8                = sysmis).
recode ACBGACT1 (998              = sysmis).
recode ACBGACT2 (998              = sysmis).
recode ACBGACT3 (998              = sysmis).
recode ACBGACT4 (998              = sysmis).
recode ACBGACT5 (998              = sysmis).
recode ACBGACT6 (998              = sysmis).
recode ACBGCOMP (998              = sysmis).
recode ACDGACTT (998              = sysmis).
recode STOTWGTU (999998           = sysmis).
recode JKCZONE  (98               = sysmis).
recode JKCREP   (8                = sysmis).
recode WGTFAC1  (999998           = sysmis).
recode WGTADJ1  (999998           = sysmis).
recode SCHWGT   (999998           = sysmis).
recode ACDGIHY  (9998             = sysmis).
recode ACDGIDYW (8                = sysmis).
recode ACDG4PAR (8                = sysmis).
recode ACDGCHA  (8                = sysmis).
recode ACDGPB   (8                = sysmis).
recode ACDGST   (8                = sysmis).
recode ACDGCMP  (8                = sysmis).
recode ACDG1GR  (8                = sysmis).


*NOTE: recode "omitted" data to user defined "missing value"

missing value IDPOP   (9).
missing value INPRL01 (9).
missing value ACBGGRD1(9).
missing value ACBGGRD2(9).
missing value ACBGGRD3(9).
missing value ACBGGRD4(9).
missing value ACBGGRD5(9).
missing value ACBGGRD6(9).
missing value ACBGGENR(9999).
missing value ACBGBENR(9999).
missing value ACBGG4EN(999).
missing value ACBGB4EN(999).
missing value ACBGCLOC(9).
missing value ACBGCLOS(9 6).
missing value ACBGCOMM(9).
missing value ACBGAVR1(9).
missing value ACBGAVR2(9).
missing value ACBGAVR3(9).
missing value ACBGAVR4(9).
missing value ACBGAVR5(9).
missing value ACBGAVR6(9).
missing value ACBGENDY(9).
missing value ACBGPSS1(9).
missing value ACBGPSS2(9).
missing value ACBGPSS3(9).
missing value ACBGPSS4(9).
missing value ACBGPGS1(9).
missing value ACBGPGS2(9).
missing value ACBGPGS3(9).
missing value ACBGPGS4(9).
missing value ACBGSABI(9).
missing value ACBGIDY (999).
missing value ACBGIHD (99).
missing value ACBGIMD (99).
missing value ACBGIDYW(9).
missing value ACBGIDYO(9).
missing value ACBGSTST(9).
missing value ACBGINF1(9).
missing value ACBGINF2(9).
missing value ACBGINF3(9).
missing value ACBGINF4(9).
missing value ACBGINF5(9).
missing value ACBG1GR1(9).
missing value ACBG1GR2(9).
missing value ACBG1GR3(9).
missing value ACBG1GR4(9).
missing value ACBG1GR5(9).
missing value ACBGCUR1(9).
missing value ACBGCUR2(9).
missing value ACBGCUR3(9).
missing value ACBGRWS (9).
missing value ACBGRII (9).
missing value ACBGRSP (9).
missing value ACBGPOL (9).
missing value ACBGMA1 (9).
missing value ACBGMA2 (9).
missing value ACBGMA3 (9).
missing value ACBGMA4 (9).
missing value ACBGMA5 (9).
missing value ACBGME1 (9).
missing value ACBGME2 (9).
missing value ACBGME3 (9).
missing value ACBGME4 (9).
missing value ACBGME5 (9).
missing value ACBGME6 (9).
missing value ACBGME7 (9).
missing value ACBGME8 (9).
missing value ACBGME9 (9).
missing value ACBGME10(9).
missing value ACBGME11(9).
missing value ACBGME12(9).
missing value ACBGIMPL(9).
missing value ACBGLI  (9).
missing value ACBGLIST(9 6).
missing value ACBGLIBC(99 96).
missing value ACBGLIBM(9 6).
missing value ACBGRDCR(9).
missing value ACBGCMP1(999).
missing value ACBGCMP2(9 6).
missing value ACBGST1 (9).
missing value ACBGST2 (9).
missing value ACBGST3 (9).
missing value ACBGST4 (9).
missing value ACBGST5 (9).
missing value ACBGST6 (9).
missing value ACBGST7 (9).
missing value ACBGST8 (9).
missing value ACBGST9 (9).
missing value ACBGST10(9).
missing value ACBGST11(9).
missing value ACBGST12(9).
missing value ACBGST13(9).
missing value ACBGPRG1(9).
missing value ACBGPRG2(9).
missing value ACBGPRG3(9).
missing value ACBGPRG4(9).
missing value ACBG4FA1(9).
missing value ACBG4FA2(9).
missing value ACBG4FA3(9).
missing value ACBG4FA4(9).
missing value ACBG4FA5(9).
missing value ACBG4FA6(9).
missing value ACBGPAR1(9).
missing value ACBGPAR2(9).
missing value ACBGPAR3(9).
missing value ACBGPAR4(9).
missing value ACBGCHA1(9).
missing value ACBGCHA2(9).
missing value ACBGCHA3(9).
missing value ACBGCHA4(9).
missing value ACBGCHA5(9).
missing value ACBGPB1 (9).
missing value ACBGPB2 (9).
missing value ACBGPB3 (9).
missing value ACBGPB4 (9).
missing value ACBGPB5 (9).
missing value ACBGPB6 (9).
missing value ACBGPB7 (9).
missing value ACBGPB8 (9).
missing value ACBGPB9 (9).
missing value ACBGPB10(9).
missing value ACBGPB11(9).
missing value ACBGPB12(9).
missing value ACBGPB13(9).
missing value ACBGCOOP(9).
missing value ACBGTSTM(9).
missing value ACBGACT1(999).
missing value ACBGACT2(999).
missing value ACBGACT3(999).
missing value ACBGACT4(999).
missing value ACBGACT5(999).
missing value ACBGACT6(999).
missing value ACBGCOMP(999).
missing value ACDGACTT(999).
missing value STOTWGTU(999999).
missing value JKCZONE (99).
missing value JKCREP  (9).
missing value WGTFAC1 (999999).
missing value WGTADJ1 (999999).
missing value SCHWGT  (999999).
missing value ACDGIHY (9999).
missing value ACDGIDYW(9).
missing value ACDG4PAR(9).
missing value ACDGCHA (9).
missing value ACDGPB  (9).
missing value ACDGST  (9).
missing value ACDGCMP (9).
missing value ACDG1GR (9).


*NOTE: These statements format the variable
       according to the length and decimal places.

format IDCNTRY  (f5.0).
format IDSCHOOL (f4.0).
format IDPOP    (f1.0).
format INPRL01  (f1.0).
format ACBGGRD1 (f1.0).
format ACBGGRD2 (f1.0).
format ACBGGRD3 (f1.0).
format ACBGGRD4 (f1.0).
format ACBGGRD5 (f1.0).
format ACBGGRD6 (f1.0).
format ACBGGENR (f4.0).
format ACBGBENR (f4.0).
format ACBGG4EN (f3.0).
format ACBGB4EN (f3.0).
format ACBGCLOC (f1.0).
format ACBGCLOS (f1.0).
format ACBGCOMM (f1.0).
format ACBGAVR1 (f1.0).
format ACBGAVR2 (f1.0).
format ACBGAVR3 (f1.0).
format ACBGAVR4 (f1.0).
format ACBGAVR5 (f1.0).
format ACBGAVR6 (f1.0).
format ACBGENDY (f1.0).
format ACBGPSS1 (f1.0).
format ACBGPSS2 (f1.0).
format ACBGPSS3 (f1.0).
format ACBGPSS4 (f1.0).
format ACBGPGS1 (f1.0).
format ACBGPGS2 (f1.0).
format ACBGPGS3 (f1.0).
format ACBGPGS4 (f1.0).
format ACBGSABI (f1.0).
format ACBGIDY  (f3.0).
format ACBGIHD  (f2.0).
format ACBGIMD  (f2.0).
format ACBGIDYW (f1.0).
format ACBGIDYO (f3.1).
format ACBGSTST (f1.0).
format ACBGINF1 (f1.0).
format ACBGINF2 (f1.0).
format ACBGINF3 (f1.0).
format ACBGINF4 (f1.0).
format ACBGINF5 (f1.0).
format ACBG1GR1 (f1.0).
format ACBG1GR2 (f1.0).
format ACBG1GR3 (f1.0).
format ACBG1GR4 (f1.0).
format ACBG1GR5 (f1.0).
format ACBGCUR1 (f1.0).
format ACBGCUR2 (f1.0).
format ACBGCUR3 (f1.0).
format ACBGRWS  (f1.0).
format ACBGRII  (f1.0).
format ACBGRSP  (f1.0).
format ACBGPOL  (f1.0).
format ACBGMA1  (f1.0).
format ACBGMA2  (f1.0).
format ACBGMA3  (f1.0).
format ACBGMA4  (f1.0).
format ACBGMA5  (f1.0).
format ACBGME1  (f1.0).
format ACBGME2  (f1.0).
format ACBGME3  (f1.0).
format ACBGME4  (f1.0).
format ACBGME5  (f1.0).
format ACBGME6  (f1.0).
format ACBGME7  (f1.0).
format ACBGME8  (f1.0).
format ACBGME9  (f1.0).
format ACBGME10 (f1.0).
format ACBGME11 (f1.0).
format ACBGME12 (f1.0).
format ACBGIMPL (f1.0).
format ACBGLI   (f1.0).
format ACBGLIST (f1.0).
format ACBGLIBC (f2.0).
format ACBGLIBM (f1.0).
format ACBGRDCR (f1.0).
format ACBGCMP1 (f3.0).
format ACBGCMP2 (f1.0).
format ACBGST1  (f1.0).
format ACBGST2  (f1.0).
format ACBGST3  (f1.0).
format ACBGST4  (f1.0).
format ACBGST5  (f1.0).
format ACBGST6  (f1.0).
format ACBGST7  (f1.0).
format ACBGST8  (f1.0).
format ACBGST9  (f1.0).
format ACBGST10 (f1.0).
format ACBGST11 (f1.0).
format ACBGST12 (f1.0).
format ACBGST13 (f1.0).
format ACBGPRG1 (f1.0).
format ACBGPRG2 (f1.0).
format ACBGPRG3 (f1.0).
format ACBGPRG4 (f1.0).
format ACBG4FA1 (f1.0).
format ACBG4FA2 (f1.0).
format ACBG4FA3 (f1.0).
format ACBG4FA4 (f1.0).
format ACBG4FA5 (f1.0).
format ACBG4FA6 (f1.0).
format ACBGPAR1 (f1.0).
format ACBGPAR2 (f1.0).
format ACBGPAR3 (f1.0).
format ACBGPAR4 (f1.0).
format ACBGCHA1 (f1.0).
format ACBGCHA2 (f1.0).
format ACBGCHA3 (f1.0).
format ACBGCHA4 (f1.0).
format ACBGCHA5 (f1.0).
format ACBGPB1  (f1.0).
format ACBGPB2  (f1.0).
format ACBGPB3  (f1.0).
format ACBGPB4  (f1.0).
format ACBGPB5  (f1.0).
format ACBGPB6  (f1.0).
format ACBGPB7  (f1.0).
format ACBGPB8  (f1.0).
format ACBGPB9  (f1.0).
format ACBGPB10 (f1.0).
format ACBGPB11 (f1.0).
format ACBGPB12 (f1.0).
format ACBGPB13 (f1.0).
format ACBGCOOP (f1.0).
format ACBGTSTM (f1.0).
format ACBGACT1 (f3.0).
format ACBGACT2 (f3.0).
format ACBGACT3 (f3.0).
format ACBGACT4 (f3.0).
format ACBGACT5 (f3.0).
format ACBGACT6 (f3.0).
format ACBGCOMP (f3.0).
format ACDGACTT (f3.0).
format DPCDATE  (f6.0).
format STOTWGTU (f13.6).
format JKCZONE  (f2.0).
format JKCREP   (f1.0).
format WGTFAC1  (f13.6).
format WGTADJ1  (f13.6).
format SCHWGT   (f13.6).
format ACDGIHY  (f8.3).
format ACDGIDYW (f3.1).
format ACDG4PAR (f1.0).
format ACDGCHA  (f1.0).
format ACDGPB   (f1.0).
format ACDGST   (f1.0).
format ACDGCMP  (f1.0).
format ACDG1GR  (f1.0).

*NOTE: save statement uses compressed option
       If you do not want copressed files,
       delete the /COMPRESSED statement.

sort cases by idcntry idschool.

save outfile = !savdata.

!doend
!enddefine

create country = ARG BGR BLZ CAN COL CYP CZE DEU ENG FRA
                 GRC HKG HUN IRN ISL ISR ITA KWT LTU LVA
                 MAR MDA MKD NLD NOR NZL ROM RUS SCO SGP
                 SVK SVN SWE TUR USA SE3.

