
* Scores the PIRLS 2001 Data;

%MACRO SCOREIT(ITEM,TYPE,RIGHT,NR,NA,OM,OTHER) ;
 %IF %upcase(&TYPE) = "MC" %THEN %DO;
   SCORE = 0 ;
     IF &ITEM = &RIGHT THEN SCORE = 1 ;
     IF &ITEM = &NR    THEN SCORE = 0 ;
     IF &ITEM = &NA    THEN SCORE = . ;
     IF &ITEM = &OM    THEN SCORE = 0 ;
     IF &ITEM = &OTHER THEN SCORE = 0 ;
   &ITEM = SCORE;
 %END;
 %IF %upcase(&TYPE = "OE") %THEN %DO;
   SCORE = 0 ;
     IF &ITEM >= 30 AND &ITEM < 40 THEN SCORE = 3 ;
     IF &ITEM >= 20 AND &ITEM < 30 THEN SCORE = 2 ;
     IF &ITEM >= 10 AND &ITEM < 20 THEN SCORE = 1 ;
     IF &ITEM >= 70 AND &ITEM < 80 THEN SCORE = 0 ;
     IF &ITEM = &NR    THEN SCORE = 0 ;
     IF &ITEM = &NA    THEN SCORE = . ;
     IF &ITEM = &OM    THEN SCORE = 0 ;
     IF &ITEM = &OTHER THEN SCORE = 0 ;
   &ITEM = SCORE;
 %END;
%MEND SCOREIT;

%LET ARIGHT  = R011A10M R011C04M R011F04M R011F11M R011L05M R011M09M R011N06M ;
%LET BRIGHT  = R011A06M R011C07M R011C12M R011F01M R011F13M R011H02M R011H11M
               R011L02M R011M01M R011M03M R011N04M R011N05M R011R02M ;
%LET CRIGHT  = R011A02M R011C05M R011C13M R011F02M R011H01M R011H05M R011H06M
               R011L01M R011L07M R011L09M R011M05M R011M08M R011M13M R011N02M
               R011N03M R011R03M ;
%LET DRIGHT  = R011A05M R011C09M R011F03M R011F05M R011L11M R011M02M R011N01M
               R011N09M R011N11M R011R01M ;
%LET OPENEND = R011A01C R011A03C R011A04C R011A07C R011A08C R011A09C R011A11C
               R011C01C R011C02C R011C03C R011C06C R011C08C R011C10C R011C11C
               R011F06C R011F07C R011F08C R011F09C R011F10C R011F12C R011H03C
               R011H04C R011H07C R011H08C R011H09C R011H10C R011L03C R011L04C
               R011L06C R011L08C R011L10C R011L12C R011M04C R011M06C R011M07C
               R011M10C R011M11C R011M12C R011M14C R011N07C R011N08C R011N10C
               R011N12C R011N13C R011R04C R011R05C R011R06C R011R07C R011R08C
               R011R09C R011R10C R011R11C ;

ARRAY ARIGHT  &ARIGHT;
ARRAY BRIGHT  &BRIGHT;
ARRAY CRIGHT  &CRIGHT;
ARRAY DRIGHT  &DRIGHT;
ARRAY OPENEND &OPENEND;

DO OVER ARIGHT ; %SCOREIT(ARIGHT,"MC",1, .r, .a, ., .i); END;
DO OVER BRIGHT ; %SCOREIT(BRIGHT,"MC",2, .r, .a, ., .i); END;
DO OVER CRIGHT ; %SCOREIT(CRIGHT,"MC",3, .r, .a, ., .i); END;
DO OVER DRIGHT ; %SCOREIT(DRIGHT,"MC",4, .r, .a, ., .i); END;
DO OVER OPENEND; %SCOREIT(OPENEND,"OE", ,.r,.a,.,.i); END;

