
* Scores the Reading Literacy Data;

%MACRO SCOREIT(ITEM,TYPE,RIGHT,NR,NA,OM,OTHER) ;
 %IF %upcase(&TYPE) = "MC" %THEN %DO;
   SCORE = 0 ;
     IF &ITEM = &RIGHT THEN SCORE = 1 ;
     IF &ITEM = &NR    THEN SCORE = 0 ;
     IF &ITEM = &NA    THEN SCORE = . ;
     IF &ITEM = &OM    THEN SCORE = 0 ;
     IF &ITEM = &OTHER THEN SCORE = 0 ;
   &ITEM = SCORE;
 %END;
 %IF %upcase(&TYPE = "OE") %THEN %DO;
   SCORE = 0 ;
     IF &ITEM >= 30 AND &ITEM < 40 THEN SCORE = 3 ;
     IF &ITEM >= 20 AND &ITEM < 30 THEN SCORE = 2 ;
     IF &ITEM >= 10 AND &ITEM < 20 THEN SCORE = 1 ;
     IF &ITEM >= 70 AND &ITEM < 80 THEN SCORE = 0 ;
     IF &ITEM = &NR    THEN SCORE = 0 ;
     IF &ITEM = &NA    THEN SCORE = . ;
     IF &ITEM = &OM    THEN SCORE = 0 ;
     IF &ITEM = &OTHER THEN SCORE = 0 ;
   &ITEM = SCORE;
 %END;
%MEND SCOREIT;

%LET ARIGHT  = ADISLAN1 ADMARIA1 ADBOTTL4 ADCONTE2 ADTEMPR5 AEPCARD1 AEPCARD2
               AEWALRU1 AEQSAND1 AETREES1 AETREES2 AETREES3 AETREES4 ANNODOG1
               ANNODOG5 ANSHARK3  ;
%LET BRIGHT  = ADISLAN3 ADMARIA2 ADTEMPR1 ADTEMPR2 AEWALRU3 AEWALRU4 AEWALRU6
               AEMARMO3 AEMARMO4 AETREES5 ANBIRD05 ANNODOG2 ANSHARK2 ANSHARK4
               ANSHARK5 ANGRAPA3;
%LET CRIGHT  = ADISLAN2 ADBOTTL2 ADCONTE1 ADTEMPR3 AEWALRU2 AEWALRU5 AEQSAND3
               ANBIRD01 ANBIRD02 ANBIRD04 ANNODOG3 ANNODOG4 ANNODOG6 ANSHARK1
               ANGRAPA1 ANGRAPA4 ANGRAPA6;
%LET DRIGHT  = ADISLAN4 ADMARIA3 ADBOTTL1 ADBOTTL3 ADCONTE3 ADTEMPR4 AEQSAND2
               AEMARMO1 AEMARMO2 AETREES6 ANBIRD03 ANGRAPA2 ANGRAPA5;
%LET OPENEND = ADBUSES1 ADBUSES2 ADBUSES3 ADBUSES4 AEWALRU7 ANGRAPA7;

ARRAY ARIGHT  &ARIGHT;
ARRAY BRIGHT  &BRIGHT;
ARRAY CRIGHT  &CRIGHT;
ARRAY DRIGHT  &DRIGHT;
ARRAY OPENEND &OPENEND;

DO OVER ARIGHT ; %SCOREIT(ARIGHT,"MC",1, .r, .a, ., .i); END;
DO OVER BRIGHT ; %SCOREIT(BRIGHT,"MC",2, .r, .a, ., .i); END;
DO OVER CRIGHT ; %SCOREIT(CRIGHT,"MC",3, .r, .a, ., .i); END;
DO OVER DRIGHT ; %SCOREIT(DRIGHT,"MC",4, .r, .a, ., .i); END;
DO OVER OPENEND; %SCOREIT(OPENEND,"OE", ,.r,.a,.,.i); END;

