
libname ar1 "c:\pirls\data";
%include "c:\pirls\Programs\jackgen.sas";

title "Example 1: PIRLS 2001 User Guide";

data student;
 set ar1.asgargr1
     ar1.asgbgrr1
     ar1.asgswer1
     ar1.asgturr1
     ar1.asgusar1;
  where nmiss(asbgtvdy) = 0 and inprl01 = 1 and idgrader = 2;
    select(asbgtvdy);
	  when(1) tvwatch = 0.0;
      when(2) tvwatch = 0.5;
      when(3) tvwatch = 2.0;
      when(4) tvwatch = 4.0;
      when(5) tvwatch = 7.0;
      otherwise;
    end;

* Define the format for the variables used;
proc format library=work;
 value country
     32="Argentina" 100="Bulgaria" 752="Sweden" 792="Turkey" 840="United States";

%jackgen (totwgt , jkzone, jkrep, 75, idcntry, tvwatch, student);

proc print data=final noobs;
     var idcntry N totwgt mnx mnx_se pct pct_se;
     format idcntry country. 
            n 6.0 totwgt 10.0 mnx pct mnx_se pct_se 6.2;

run;
