title "Example 4: PIRLS 2001 User Guide".

add files
 / file = "c:\pirls\data\asgargr1.sav"
 / file = "c:\pirls\data\asgbgrr1.sav"
 / file = "c:\pirls\data\asgswer1.sav"
 / file = "c:\pirls\data\asgturr1.sav"
 / file = "c:\pirls\data\asgusar1.sav" .

sort cases by idcntry idschool.

save outfile = student
  / keep = idcntry idschool idstud asrrea01 to asrrea05 inprl01 totwgt jkzone jkrep.


add files
 / file = "c:\pirls\data\acgargr1.sav"
 / file = "c:\pirls\data\acgbgrr1.sav"
 / file = "c:\pirls\data\acgswer1.sav"
 / file = "c:\pirls\data\acgturr1.sav"
 / file = "c:\pirls\data\acgusar1.sav" .

sort cases by idcntry idschool.

save outfile = school
  / keep = idcntry idschool acbgcomm.

* Now merge the two files.
match files
  / file=student
  / table=school
  / by idcntry idschool.

select if not(missing(acbgcomm)) and inprl01=1.

* Define the format for the variables used.
value labels 
 idcntry  32 'Argentina' 100 'Bulgaria' 752 'Sweden' 792 'Turkey' 840 'United States' /
 acbgcomm  1 'Urban'  2 'Suburban' 3 'Rural'.

save outfile = merged.

* Now use the macro to get the results.
include "c:\pirls\programs\jackpv.sps".

jackpv infile= merged           /
       cvar  = idcntry acbgcomm /
       pvs   = asrrea01 to asrrea05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TOTWGT   .

sort cases by idcntry.

print formats n (f6.0) totwgt (f10.0) mnpv mnpv_se pct pct_se (f6.2).

report format=list automatic
  / var   = acbgcomm (label) n totwgt mnpv mnpv_se pct pct_se
  / break = idcntry .
