%let cty = GRC HUN ISL ITA NZL SGP SVN SWE USA ;

Options nosource nocenter;

LIBNAME libdat  "c:\pirls\Data" ;
LIBNAME library "c:\pirls\Data" ;

%macro doit;
  %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));

%let fname= asc&ccode.t1 ;

FILENAME rawinp "c:\pirls\Data\&fname..dat" ;

%PUT INFO: data set definition ;
%PUT INFO: data set definitions have to be modified ;

*Output data set ;
data libdat.&fname;

*NOTE: LRECL may need to be modified ;
INFILE rawinp LRECL=1250 END=eof LENGTH=lnline LINE=ln MISSOVER ;

%PUT INFO: shorten variable definitions to save secondary storage area ;
%PUT INFO: refer to the SAS manual for an appropriate length for variables ;

*NOTE: The LENGTH statement in a data step specifies the number of bytes, the
       SAS - sytem uses for storing values of variables in each data set being created. ;
LENGTH DEFAULT=5 ;
LENGTH      IDCNTRY    5 ;
LENGTH      IDSCHOOL   4 ;
LENGTH      IDCLASS    6 ;
LENGTH      IDGRADE    3 ;
LENGTH      IDSTUD     8 ;
LENGTH      ITBIRTHM   3 ;
LENGTH      ITBIRTHY   3 ;
LENGTH      ITSEX      3 ;
LENGTH      ITADMINI   3 ;
LENGTH      ITDATEM    3 ;
LENGTH      ITDATEY    4 ;
LENGTH      ITLANG     3 ;
LENGTH      IDPOP      3 ;
LENGTH      IDGRADER   3 ;
LENGTH      INRLS91    3 ;
LENGTH      ASAGEY     3 ;
LENGTH      ASAGEM     8 ;
LENGTH      ASSEX      3 ;
LENGTH      ASUSLAN    3 ;
LENGTH      ASMEAL1    3 ;
LENGTH      ASMEAL2    3 ;
LENGTH      ASMEAL3    3 ;
LENGTH      ASNEWS     3 ;
LENGTH      ASTV       3 ;
LENGTH      ASBOOKS    3 ;
LENGTH      ASHOM01    3 ;
LENGTH      ASHOM02    3 ;
LENGTH      ASHOM03    3 ;
LENGTH      ASHOM04    3 ;
LENGTH      ASHOM05    3 ;
LENGTH      ASHOM06    3 ;
LENGTH      ASHOM07    3 ;
LENGTH      ASHOM08    3 ;
LENGTH      ASHOM09    3 ;
LENGTH      ASHOM10    3 ;
LENGTH      ASSTUD1    3 ;
LENGTH      ASSTUD2    3 ;
LENGTH      ASSTUD3    3 ;
LENGTH      ASSTUD4    3 ;
LENGTH      ASSTUD5    3 ;
LENGTH      ASSTUD6    3 ;
LENGTH      ASSTUD7    3 ;
LENGTH      ASSTUD8    3 ;
LENGTH      ASPRHTL    3 ;
LENGTH      ASPRETL    3 ;
LENGTH      ASPRHOL    3 ;
LENGTH      ASPREOL    3 ;
LENGTH      ASBORBO    3 ;
LENGTH      ASSRATE    3 ;
LENGTH      ASWAY01    3 ;
LENGTH      ASWAY02    3 ;
LENGTH      ASWAY03    3 ;
LENGTH      ASWAY04    3 ;
LENGTH      ASWAY05    3 ;
LENGTH      ASWAY06    3 ;
LENGTH      ASWAY07    3 ;
LENGTH      ASWAY08    3 ;
LENGTH      ASWAY09    3 ;
LENGTH      ASWAY10    3 ;
LENGTH      ASWAY11    3 ;
LENGTH      ASREATL    3 ;
LENGTH      ASASKRE    3 ;
LENGTH      ASHWKF     3 ;
LENGTH      ASHWKT     3 ;
LENGTH      ASQUEST    3 ;
LENGTH      ASHWKH     3 ;
LENGTH      ASHWKO     3 ;
LENGTH      ASWRITE    3 ;
LENGTH      ASBOOKW    3 ;
LENGTH      ASBOOKF    3 ;
LENGTH      ASCOMIW    3 ;
LENGTH      ASCOMIF    3 ;
LENGTH      ASMAGAW    3 ;
LENGTH      ASMAGAF    3 ;
LENGTH      ASNEWSW    3 ;
LENGTH      ASNEWSF    3 ;
LENGTH      ASDIRCF    3 ;
LENGTH      ASALOUD    3 ;
LENGTH      ASALOUF    3 ;
LENGTH      ASALOUW    3 ;
LENGTH      ASMAT1     3 ;
LENGTH      ASMAT2     3 ;
LENGTH      ASMAT3     3 ;
LENGTH      ASMAT4     3 ;
LENGTH      ASMAT5     3 ;
LENGTH      ASMAT6     3 ;
LENGTH      ASMAT7     3 ;
LENGTH      ASMAT8     3 ;
LENGTH      ASTEXTF    3 ;
LENGTH      ASSTORF    3 ;
LENGTH      ASWORKF    3 ;
LENGTH      ASEXERF    3 ;
LENGTH      ASINFOF    3 ;
LENGTH      AWBIRD01   3 ;
LENGTH      AWHEAD02   3 ;
LENGTH      AWCHIL03   3 ;
LENGTH      AWSHOE04   3 ;
LENGTH      AWFOOT05   3 ;
LENGTH      AWCOAT06   3 ;
LENGTH      AWCIRC07   3 ;
LENGTH      AWBOY008   3 ;
LENGTH      AWSNAK09   3 ;
LENGTH      AWFING10   3 ;
LENGTH      AWFLAG11   3 ;
LENGTH      AWDUCK12   3 ;
LENGTH      AWBELL13   3 ;
LENGTH      AWARRO14   3 ;
LENGTH      AWMOUS15   3 ;
LENGTH      AWBRUS16   3 ;
LENGTH      AWORAN17   3 ;
LENGTH      AWSTAR18   3 ;
LENGTH      AWHAMM19   3 ;
LENGTH      AWKEY020   3 ;
LENGTH      AWLAMP21   3 ;
LENGTH      AWWOMA22   3 ;
LENGTH      AWFISH23   3 ;
LENGTH      AWHORS24   3 ;
LENGTH      AWLETT25   3 ;
LENGTH      AWDRUM26   3 ;
LENGTH      AWTWIN27   3 ;
LENGTH      AWCOMB28   3 ;
LENGTH      AWMAN029   3 ;
LENGTH      AWFIVE30   3 ;
LENGTH      AWKNIF31   3 ;
LENGTH      AWHAND32   3 ;
LENGTH      AWFLOW33   3 ;
LENGTH      AWHEAR34   3 ;
LENGTH      AWBED035   3 ;
LENGTH      AWCUP036   3 ;
LENGTH      AWPLAN37   3 ;
LENGTH      AWCAP038   3 ;
LENGTH      AWBUTT39   3 ;
LENGTH      AWBOAT40   3 ;
LENGTH      AEPCARD1   3 ;
LENGTH      AEPCARD2   3 ;
LENGTH      ANBIRD01   3 ;
LENGTH      ANBIRD02   3 ;
LENGTH      ANBIRD03   3 ;
LENGTH      ANBIRD04   3 ;
LENGTH      ANBIRD05   3 ;
LENGTH      ADISLAN1   3 ;
LENGTH      ADISLAN2   3 ;
LENGTH      ADISLAN3   3 ;
LENGTH      ADISLAN4   3 ;
LENGTH      ADMARIA1   3 ;
LENGTH      ADMARIA2   3 ;
LENGTH      ADMARIA3   3 ;
LENGTH      ANNODOG1   3 ;
LENGTH      ANNODOG2   3 ;
LENGTH      ANNODOG3   3 ;
LENGTH      ANNODOG4   3 ;
LENGTH      ANNODOG5   3 ;
LENGTH      ANNODOG6   3 ;
LENGTH      AEWALRU1   3 ;
LENGTH      AEWALRU2   3 ;
LENGTH      AEWALRU3   3 ;
LENGTH      AEWALRU4   3 ;
LENGTH      AEWALRU5   3 ;
LENGTH      AEWALRU6   3 ;
LENGTH      AEWALRU7   3 ;
LENGTH      AEQSAND1   3 ;
LENGTH      AEQSAND2   3 ;
LENGTH      AEQSAND3   3 ;
LENGTH      ANSHARK1   3 ;
LENGTH      ANSHARK2   3 ;
LENGTH      ANSHARK3   3 ;
LENGTH      ANSHARK4   3 ;
LENGTH      ANSHARK5   3 ;
LENGTH      ADBOTTL1   3 ;
LENGTH      ADBOTTL2   3 ;
LENGTH      ADBOTTL3   3 ;
LENGTH      ADBOTTL4   3 ;
LENGTH      ADBUSES1   3 ;
LENGTH      ADBUSES2   3 ;
LENGTH      ADBUSES3   3 ;
LENGTH      ADBUSES4   3 ;
LENGTH      ADCONTE1   3 ;
LENGTH      ADCONTE2   3 ;
LENGTH      ADCONTE3   3 ;
LENGTH      ADTEMPR1   3 ;
LENGTH      ADTEMPR2   3 ;
LENGTH      ADTEMPR3   3 ;
LENGTH      ADTEMPR4   3 ;
LENGTH      ADTEMPR5   3 ;
LENGTH      AEMARMO1   3 ;
LENGTH      AEMARMO2   3 ;
LENGTH      AEMARMO3   3 ;
LENGTH      AEMARMO4   3 ;
LENGTH      ANGRAPA1   3 ;
LENGTH      ANGRAPA2   3 ;
LENGTH      ANGRAPA3   3 ;
LENGTH      ANGRAPA4   3 ;
LENGTH      ANGRAPA5   3 ;
LENGTH      ANGRAPA6   3 ;
LENGTH      ANGRAPA7   3 ;
LENGTH      AETREES1   3 ;
LENGTH      AETREES2   3 ;
LENGTH      AETREES3   3 ;
LENGTH      AETREES4   3 ;
LENGTH      AETREES5   3 ;
LENGTH      AETREES6   3 ;
LENGTH      ITPART     3 ;
LENGTH      DPCDATE    6 ;
LENGTH      HOUWGT     8 ;
LENGTH      TOTWGT     8 ;
LENGTH      SENWGT     8 ;
LENGTH      WGTADJ1    8 ;
LENGTH      WGTADJ3    8 ;
LENGTH      WGTFAC1    8 ;
LENGTH      WGTFAC2    8 ;
LENGTH      WGTFAC3    8 ;
LENGTH      JKZONE     3 ;
LENGTH      JKREP      3 ;
LENGTH      IDSTRATE   3 ;
LENGTH      IDSTRATI   3 ;
LENGTH      ASDSCPT    8 ;
LENGTH      ASESCPT    8 ;
LENGTH      ASNSCPT    8 ;
LENGTH      ASASCPT    8 ;
LENGTH      ASDSTDR    8 ;
LENGTH      ASDNRSC    8 ;
LENGTH      ASESTDR    8 ;
LENGTH      ASENRSC    8 ;
LENGTH      ASNSTDR    8 ;
LENGTH      ASNNRSC    8 ;
LENGTH      ASASTDR    8 ;
LENGTH      ASANRSC    8 ;
LENGTH      ASRDOC01   8 ;
LENGTH      ASRDOC02   8 ;
LENGTH      ASRDOC03   8 ;
LENGTH      ASRDOC04   8 ;
LENGTH      ASRDOC05   8 ;
LENGTH      ASREXP01   8 ;
LENGTH      ASREXP02   8 ;
LENGTH      ASREXP03   8 ;
LENGTH      ASREXP04   8 ;
LENGTH      ASREXP05   8 ;
LENGTH      ASRNAR01   8 ;
LENGTH      ASRNAR02   8 ;
LENGTH      ASRNAR03   8 ;
LENGTH      ASRNAR04   8 ;
LENGTH      ASRNAR05   8 ;
LENGTH      ASRREA01   8 ;
LENGTH      ASRREA02   8 ;
LENGTH      ASRREA03   8 ;
LENGTH      ASRREA04   8 ;
LENGTH      ASRREA05   8 ;


%PUT INFO: Missing category A refers to "not administered" values ;
%PUT INFO: Missing category I refers to "invalid" values ;
%PUT INFO: Missing category B refers to "logically not applicable" values ;
%PUT INFO: Missing category R refers to "not reached" items ;
%PUT INFO: Missing category . refers to missing values ;
MISSING A I B R ;

*NOTE: The INPUT statement reads raw data and assigns variable names.
       The positions specified below correspond to the positions of the variables
       in the raw data file. ;

INPUT
  IDCNTRY       1-   5     
  IDSCHOOL      6-   9     
  IDCLASS      10-  15     
  IDGRADE      16-  17     
  IDSTUD       18-  25     
  ITBIRTHM     26-  27     
  ITBIRTHY     28-  29     
  ITSEX        30-  30     
  ITADMINI     31-  31     
  ITDATEM      32-  33     
  ITDATEY      34-  37     
  ITLANG       38-  38     
  IDPOP        39-  39     
  IDGRADER     40-  40     
  INRLS91      41-  41     
  ASAGEY       42-  43     
  ASAGEM       44-  47 .1
  ASSEX        48-  48     
  ASUSLAN      49-  49     
  ASMEAL1      50-  50     
  ASMEAL2      51-  51     
  ASMEAL3      52-  52     
  ASNEWS       53-  53     
  ASTV         54-  55     
  ASBOOKS      56-  56     
  ASHOM01      57-  57     
  ASHOM02      58-  58     
  ASHOM03      59-  59     
  ASHOM04      60-  60     
  ASHOM05      61-  61     
  ASHOM06      62-  62     
  ASHOM07      63-  63     
  ASHOM08      64-  64     
  ASHOM09      65-  65     
  ASHOM10      66-  66     
  ASSTUD1      67-  67     
  ASSTUD2      68-  68     
  ASSTUD3      69-  69     
  ASSTUD4      70-  70     
  ASSTUD5      71-  71     
  ASSTUD6      72-  72     
  ASSTUD7      73-  73     
  ASSTUD8      74-  74     
  ASPRHTL      75-  75     
  ASPRETL      76-  76     
  ASPRHOL      77-  77     
  ASPREOL      78-  78     
  ASBORBO      79-  79     
  ASSRATE      80-  80     
  ASWAY01      81-  81     
  ASWAY02      82-  82     
  ASWAY03      83-  83     
  ASWAY04      84-  84     
  ASWAY05      85-  85     
  ASWAY06      86-  86     
  ASWAY07      87-  87     
  ASWAY08      88-  88     
  ASWAY09      89-  89     
  ASWAY10      90-  90     
  ASWAY11      91-  91     
  ASREATL      92-  92     
  ASASKRE      93-  93     
  ASHWKF       94-  94     
  ASHWKT       95-  95     
  ASQUEST      96-  97     
  ASHWKH       98-  98     
  ASHWKO       99-  99     
  ASWRITE     100- 100     
  ASBOOKW     101- 101     
  ASBOOKF     102- 102     
  ASCOMIW     103- 103     
  ASCOMIF     104- 104     
  ASMAGAW     105- 105     
  ASMAGAF     106- 106     
  ASNEWSW     107- 107     
  ASNEWSF     108- 108     
  ASDIRCF     109- 109     
  ASALOUD     110- 110     
  ASALOUF     111- 111     
  ASALOUW     112- 112     
  ASMAT1      113- 113     
  ASMAT2      114- 114     
  ASMAT3      115- 115     
  ASMAT4      116- 116     
  ASMAT5      117- 117     
  ASMAT6      118- 118     
  ASMAT7      119- 119     
  ASMAT8      120- 120     
  ASTEXTF     121- 121     
  ASSTORF     122- 122     
  ASWORKF     123- 123     
  ASEXERF     124- 124     
  ASINFOF     125- 125     
  AWBIRD01    126- 126     
  AWHEAD02    127- 127     
  AWCHIL03    128- 128     
  AWSHOE04    129- 129     
  AWFOOT05    130- 130     
  AWCOAT06    131- 131     
  AWCIRC07    132- 132     
  AWBOY008    133- 133     
  AWSNAK09    134- 134     
  AWFING10    135- 135     
  AWFLAG11    136- 136     
  AWDUCK12    137- 137     
  AWBELL13    138- 138     
  AWARRO14    139- 139     
  AWMOUS15    140- 140     
  AWBRUS16    141- 141     
  AWORAN17    142- 142     
  AWSTAR18    143- 143     
  AWHAMM19    144- 144     
  AWKEY020    145- 145     
  AWLAMP21    146- 146     
  AWWOMA22    147- 147     
  AWFISH23    148- 148     
  AWHORS24    149- 149     
  AWLETT25    150- 150     
  AWDRUM26    151- 151     
  AWTWIN27    152- 152     
  AWCOMB28    153- 153     
  AWMAN029    154- 154     
  AWFIVE30    155- 155     
  AWKNIF31    156- 156     
  AWHAND32    157- 157     
  AWFLOW33    158- 158     
  AWHEAR34    159- 159     
  AWBED035    160- 160     
  AWCUP036    161- 161     
  AWPLAN37    162- 162     
  AWCAP038    163- 163     
  AWBUTT39    164- 164     
  AWBOAT40    165- 165     
  AEPCARD1    166- 166     
  AEPCARD2    167- 167     
  ANBIRD01    168- 168     
  ANBIRD02    169- 169     
  ANBIRD03    170- 170     
  ANBIRD04    171- 171     
  ANBIRD05    172- 172     
  ADISLAN1    173- 173     
  ADISLAN2    174- 174     
  ADISLAN3    175- 175     
  ADISLAN4    176- 176     
  ADMARIA1    177- 177     
  ADMARIA2    178- 178     
  ADMARIA3    179- 179     
  ANNODOG1    180- 180     
  ANNODOG2    181- 181     
  ANNODOG3    182- 182     
  ANNODOG4    183- 183     
  ANNODOG5    184- 184     
  ANNODOG6    185- 185     
  AEWALRU1    186- 186     
  AEWALRU2    187- 187     
  AEWALRU3    188- 188     
  AEWALRU4    189- 189     
  AEWALRU5    190- 190     
  AEWALRU6    191- 191     
  AEWALRU7    192- 192     
  AEQSAND1    193- 193     
  AEQSAND2    194- 194     
  AEQSAND3    195- 195     
  ANSHARK1    196- 196     
  ANSHARK2    197- 197     
  ANSHARK3    198- 198     
  ANSHARK4    199- 199     
  ANSHARK5    200- 200     
  ADBOTTL1    201- 201     
  ADBOTTL2    202- 202     
  ADBOTTL3    203- 203     
  ADBOTTL4    204- 204     
  ADBUSES1    205- 205     
  ADBUSES2    206- 206     
  ADBUSES3    207- 207     
  ADBUSES4    208- 208     
  ADCONTE1    209- 209     
  ADCONTE2    210- 210     
  ADCONTE3    211- 211     
  ADTEMPR1    212- 212     
  ADTEMPR2    213- 213     
  ADTEMPR3    214- 214     
  ADTEMPR4    215- 215     
  ADTEMPR5    216- 216     
  AEMARMO1    217- 217     
  AEMARMO2    218- 218     
  AEMARMO3    219- 219     
  AEMARMO4    220- 220     
  ANGRAPA1    221- 221     
  ANGRAPA2    222- 222     
  ANGRAPA3    223- 223     
  ANGRAPA4    224- 224     
  ANGRAPA5    225- 225     
  ANGRAPA6    226- 226     
  ANGRAPA7    227- 227     
  AETREES1    228- 228     
  AETREES2    229- 229     
  AETREES3    230- 230     
  AETREES4    231- 231     
  AETREES5    232- 232     
  AETREES6    233- 233     
  ITPART      234- 234     
  DPCDATE     235- 240     
  HOUWGT      241- 253 .6
  TOTWGT      254- 266 .6
  SENWGT      267- 279 .6
  WGTADJ1     280- 292 .6
  WGTADJ3     293- 305 .6
  WGTFAC1     306- 318 .6
  WGTFAC2     319- 331 .6
  WGTFAC3     332- 344 .6
  JKZONE      345- 346     
  JKREP       347- 347     
  IDSTRATE    348- 350     
  IDSTRATI    351- 353     
  ASDSCPT     354- 361 .3
  ASESCPT     362- 369 .3
  ASNSCPT     370- 377 .3
  ASASCPT     378- 385 .3
  ASDSTDR     386- 393 .3
  ASDNRSC     394- 401 .3
  ASESTDR     402- 409 .3
  ASENRSC     410- 417 .3
  ASNSTDR     418- 425 .3
  ASNNRSC     426- 433 .3
  ASASTDR     434- 441 .3
  ASANRSC     442- 449 .3
  ASRDOC01    450- 462 .6
  ASRDOC02    463- 475 .6
  ASRDOC03    476- 488 .6
  ASRDOC04    489- 501 .6
  ASRDOC05    502- 514 .6
  ASREXP01    515- 527 .6
  ASREXP02    528- 540 .6
  ASREXP03    541- 553 .6
  ASREXP04    554- 566 .6
  ASREXP05    567- 579 .6
  ASRNAR01    580- 592 .6
  ASRNAR02    593- 605 .6
  ASRNAR03    606- 618 .6
  ASRNAR04    619- 631 .6
  ASRNAR05    632- 644 .6
  ASRREA01    645- 657 .6
  ASRREA02    658- 670 .6
  ASRREA03    671- 683 .6
  ASRREA04    684- 696 .6
  ASRREA05    697- 709 .6
;

%PUT INFO: assign labels to variables ;
LABEL
  IDCNTRY  = "*COUNTRY ID*"
  IDSCHOOL = "*SCHOOL ID*"
  IDCLASS  = "*CLASS ID*"
  IDGRADE  = "*GRADE*"
  IDSTUD   = "*STUDENT ID*"
  ITBIRTHM = "*DATE OF BIRTH\MONTH OF STUDENT*"
  ITBIRTHY = "*DATE OF BIRTH\YEAR OF STUDENT*"
  ITSEX    = "*SEX OF STUDENT*"
  ITADMINI = "*TEST ADMINISTRATORS POSITION*"
  ITDATEM  = "*DATE OF TESTING/MONTH*"
  ITDATEY  = "*DATE OF TESTING/YEAR*"
  ITLANG   = "*LANGUAGE OF TESTING*"
  IDPOP    = "POPULATION INDICATOR"
  IDGRADER = "LOWER/UPPER OF TARGET GRADE"
  INRLS91  = "IN READING LITERACY 1991"
  ASAGEY   = "STUDENTS AGE (YEARS)"
  ASAGEM   = "STUDENTS AGE(MONTHS)"
  ASSEX    = "STUDENTS SEX"
  ASUSLAN  = "USE LANGUAGE OF TEST AT HOME"
  ASMEAL1  = "FREQUENCY EATING MEALS/BREAKFAST"
  ASMEAL2  = "FREQUENCY EATING MEALS/LUNCH"
  ASMEAL3  = "FREQUENCY EATING MEALS/EVENING MEAL"
  ASNEWS   = "DAILY NEWSPAPER AT HOME"
  ASTV     = "TIME WATCHING TV OUTSIDE SCHOOL"
  ASBOOKS  = "NUMBER OF BOOKS AT HOME"
  ASHOM01  = "HOME POSSESSIONS/ITEM 1"
  ASHOM02  = "HOME POSSESSIONS/ITEM 2"
  ASHOM03  = "HOME POSSESSIONS/ITEM 3"
  ASHOM04  = "HOME POSSESSIONS/ITEM 4"
  ASHOM05  = "HOME POSSESSIONS/ITEM 5"
  ASHOM06  = "HOME POSSESSIONS/ITEM 6"
  ASHOM07  = "HOME POSSESSIONS/ITEM 7"
  ASHOM08  = "HOME POSSESSIONS/ITEM 8"
  ASHOM09  = "HOME POSSESSIONS/ITEM 9"
  ASHOM10  = "HOME POSSESSIONS/ITEM 10"
  ASSTUD1  = "STUDENT POSSESSIONS/ITEM 1"
  ASSTUD2  = "STUDENT POSSESSIONS/ITEM 2"
  ASSTUD3  = "STUDENT POSSESSIONS/ITEM 3"
  ASSTUD4  = "STUDENT POSSESSIONS/ITEM 4"
  ASSTUD5  = "STUDENT POSSESSIONS/ITEM 5"
  ASSTUD6  = "STUDENT POSSESSIONS/ITEM 6"
  ASSTUD7  = "STUDENT POSSESSIONS/ITEM 7"
  ASSTUD8  = "STUDENT POSSESSIONS/ITEM 8"
  ASPRHTL  = "PEOPLE AT HOME READ TO STUD IN TEST LA"
  ASPRETL  = "PEOPLE ELSEWHERE READ TO STUD IN TEST LA"
  ASPRHOL  = "PEOPLE AT HOME READ TO STUD IN OTHER LA"
  ASPREOL  = "PEOPLE ELSEWHERE READ TO STUD IN OTH LA"
  ASBORBO  = "FREQUENCY BORROWING BOOKS FROM LIBRARY"
  ASSRATE  = "SELF RATING IN READING"
  ASWAY01  = "3 IMPORTANT WAYS/LIKING IT"
  ASWAY02  = "3 IMPORTANT WAYS/LOTS OF TIME TO READ"
  ASWAY03  = "3 IMPORTANT WAYS/CONCENTRATING WELL"
  ASWAY04  = "3 IMPORTANT WAYS/SOUND OUT WORDS"
  ASWAY05  = "3 IMPORTANT WAYS/LEARNING THE MEANING"
  ASWAY06  = "3 IMPORTANT WAYS/GOOD BOOKS AROUND"
  ASWAY07  = "3 IMPORTANT WAYS/LIVELY IMAGINATION"
  ASWAY08  = "3 IMPORTANT WAYS/READING FOR HOMEWORK"
  ASWAY09  = "3 IMPORTANT WAYS/DRILL AT HARD THINGS"
  ASWAY10  = "3 IMPORTANT WAYS/WRITTEN EXERCISES"
  ASWAY11  = "3 IMPORTANT WAYS/TOLD HOW TO DO IT"
  ASREATL  = "FREQUENCY READING AT HOME IN TEST LANG"
  ASASKRE  = "FREQUENCY ASKED AT HOME ABOUT READING"
  ASHWKF   = "FREQUENCY GETTING READING HOMEWORK"
  ASHWKT   = "TIME SPENT ON READING HOMEWORK"
  ASQUEST  = "QUESTIONS IN CLASS ABOUT READING HOMEW"
  ASHWKH   = "FREQ HELPED WITH READING HOMEWORK"
  ASHWKO   = "FINISH READING CLASSWORK IN OWN TIME"
  ASWRITE  = "FREQ WRITTEN WORK ABOUT READING WORK"
  ASBOOKW  = "READING BOOK FOR FUN LAST WEEK"
  ASBOOKF  = "FREQUENCY READING BOOKS FOR FUN"
  ASCOMIW  = "READING A COMIC BOOK LAST WEEK"
  ASCOMIF  = "FREQUENCY READING COMICS"
  ASMAGAW  = "READING A MAGAZINE LAST WEEK"
  ASMAGAF  = "FREQUENCY READING MAGAZINES"
  ASNEWSW  = "READING A NEWSPAPER LAST WEEK"
  ASNEWSF  = "FREQUENCY READING NEWSPAPERS"
  ASDIRCF  = "FREQUENCY READING DIRECTIONS"
  ASALOUD  = "READING ALOUD AT HOME"
  ASALOUF  = "FREQUENCY READING ALOUD AT HOME"
  ASALOUW  = "TO WHOM DO YOU READ ALOUD AT HOME"
  ASMAT1   = "MATERIAL READ ALOUD/NOTHING"
  ASMAT2   = "MATERIAL READ ALOUD/NEWSPAPER"
  ASMAT3   = "MATERIAL READ ALOUD/MAGAZINE"
  ASMAT4   = "MATERIAL READ ALOUD/BOOK"
  ASMAT5   = "MATERIAL READ ALOUD/TEXTBOOK"
  ASMAT6   = "MATERIAL READ ALOUD/COMICS"
  ASMAT7   = "MATERIAL READ ALOUD/LETTERS"
  ASMAT8   = "MATERIAL READ ALOUD/WORDS ON TV SCREENS"
  ASTEXTF  = "FREQUENCY READING TEXTBOOKS IN SCHOOL"
  ASSTORF  = "FREQUENCY READING STORY BOOKS IN SCHOOL"
  ASWORKF  = "FREQUENCY READING WORKBOOKS IN SCHOOL"
  ASEXERF  = "FREQUENCY PRACTISE EXERCISES"
  ASINFOF  = "FREQUENCY LOOKING UP INFORMATION"
  AWBIRD01 = "WORD RECOGNITION/BIRD(C)"
  AWHEAD02 = "WORD RECOGNITION/HEAD(A)"
  AWCHIL03 = "WORD RECOGNITION/CHILD(B)"
  AWSHOE04 = "WORD RECOGNITION/SHOE(A)"
  AWFOOT05 = "WORD RECOGNITION/FOOT(C)"
  AWCOAT06 = "WORD RECOGNITION/COAT(D)"
  AWCIRC07 = "WORD RECOGNITION/CIRCLE(C)"
  AWBOY008 = "WORD RECOGNITION/BOY(A)"
  AWSNAK09 = "WORD RECOGNITION/SNAKE(A)"
  AWFING10 = "WORD RECOGNITION/FINGERS(D)"
  AWFLAG11 = "WORD RECOGNITION/FLAG(A)"
  AWDUCK12 = "WORD RECOGNITION/DUCK(D)"
  AWBELL13 = "WORD RECOGNITION/BELL(A)"
  AWARRO14 = "WORD RECOGNITION/ARROW(B)"
  AWMOUS15 = "WORD RECOGNITION/MOUSE(D)"
  AWBRUS16 = "WORD RECOGNITION/BRUSH(A)"
  AWORAN17 = "WORD RECOGNITION/ORANGE(D)"
  AWSTAR18 = "WORD RECOGNITION/STAR(B)"
  AWHAMM19 = "WORD RECOGNITION/HAMMER(A)"
  AWKEY020 = "WORD RECOGNITION/KEY(A)"
  AWLAMP21 = "WORD RECOGNITION/LAMP(D)"
  AWWOMA22 = "WORD RECOGNITION/WOMAN(B)"
  AWFISH23 = "WORD RECOGNITION/FISH(D)"
  AWHORS24 = "WORD RECOGNITION/HORSE(D)"
  AWLETT25 = "WORD RECOGNITION/LETTER(A)"
  AWDRUM26 = "WORD RECOGNITION/DRUM(A)"
  AWTWIN27 = "WORD RECOGNITION/TWINS(B)"
  AWCOMB28 = "WORD RECOGNITION/COMB(B)"
  AWMAN029 = "WORD RECOGNITION/MAN(D)"
  AWFIVE30 = "WORD RECOGNITION/FIVE(B)"
  AWKNIF31 = "WORD RECOGNITION/KNIFE(B)"
  AWHAND32 = "WORD RECOGNITION/HANDS(C)"
  AWFLOW33 = "WORD RECOGNITION/FLOWER(D)"
  AWHEAR34 = "WORD RECOGNITION/HEART(C)"
  AWBED035 = "WORD RECOGNITION/BED(A)"
  AWCUP036 = "WORD RECOGNITION/CUP(A)"
  AWPLAN37 = "WORD RECOGNITION/PLANT(D)"
  AWCAP038 = "WORD RECOGNITION/CAP(D)"
  AWBUTT39 = "WORD RECOGNITION/BUTTERFLY(C)"
  AWBOAT40 = "WORD RECOGNITION/BOAT(C)"
  AEPCARD1 = "E/POST CARD/WHO MET CHILDREN (A)"
  AEPCARD2 = "E/POST CARD /HOW DID CHILDREN TRAVEL(A)"
  ANBIRD01 = "N/BIRD/WHAT DOES THE PASSAGE TELL(C)"
  ANBIRD02 = "N/BIRD/WHAT HAPPENEND FIRST(C)"
  ANBIRD03 = "N/BIRD/WHAT DOES THE ELEPHANT SAY(D)"
  ANBIRD04 = "N/BIRD/HOW DID MOTHER STOP ELEPHANT(C)"
  ANBIRD05 = "N/BIRD/REASON FOR HAPPY END(B)"
  ADISLAN1 = "D/ISLAND/WHICH IS SOUTH OF THE FARM(A)"
  ADISLAN2 = "D/ISLAND/WHICH IS CLOSEST TO SWAMP(C)"
  ADISLAN3 = "D/ISLAND/FOLLOW THE INSTRUCTIONS(B)"
  ADISLAN4 = "D/ISLAND/GO FROM TOWN TO PARK(D)"
  ADMARIA1 = "D/MARIA/THIRD LESSON ON THURSDAYS(A)"
  ADMARIA2 = "D/MARIA/DAYS WITH SIX LESSONS(B)"
  ADMARIA3 = "D/MARIA/SUBJECT TAUGHT MOST OFTEN(D)"
  ANNODOG1 = "N/NO DOG/MOTHERS THOUGHTS ABOUT DOGS(A)"
  ANNODOG2 = "N/NO DOG/MOTHER FOUND OUT ABOUT NOSEY(B)"
  ANNODOG3 = "N/NO DOG/WHY DID TONY PRETEND(C)"
  ANNODOG4 = "N/NO DOG/WHY SAY THAT NOSEY RAN AWAY(C)"
  ANNODOG5 = "N/NO DOG/TONY HELD HIS BREATH(A)"
  ANNODOG6 = "N/NO DOG/WHAT DO YOU THINK HAPPENS(C)"
  AEWALRU1 = "E/WALRUS/WHERE DOES THE WALRUS LIVE(A)"
  AEWALRU2 = "E/WALRUS/HOW LONG CAN A WALRUS LIVE(C)"
  AEWALRU3 = "E/WALRUS/WHAT DOES A WALRUS EAT(B)"
  AEWALRU4 = "E/WALRUS/WALRUS PROTECTS ITSELF FROM(B)"
  AEWALRU5 = "E/WALRUS/HOW WALRUS GETS UP ON ICE(C)"
  AEWALRU6 = "E/WALRUS/HOW DOES WALRUS GET ITS FOOD(B)"
  AEWALRU7 = "E/WALRUS/PROBL EYE TEETH LOST(FREE RES)"
  AEQSAND1 = "E/QUICKSAND/PURPOSE OF ARTICLE(A)"
  AEQSAND2 = "E/QUICKSAND/IF YOU STEP IN QUICKSAND(D)"
  AEQSAND3 = "E/QUICKSAND/HOW TO RECOGNIZE QSAND(C)"
  ANSHARK1 = "N/SHARK/REASON FOR SWIMMING ALONE(C)"
  ANSHARK2 = "N/SHARK/THE SHARK WAS UNHAPPY BECAUSE(B)"
  ANSHARK3 = "N/SHARK/SARDINE BECAME FRIEND BECAUSE(A)"
  ANSHARK4 = "N/SHARK/HOW DID SARDINES FAMILY FEEL(B)"
  ANSHARK5 = "N/SHARK/REASON FOR SHARKS FEELING(B)"
  ADBOTTL1 = "D/EMPTY BOTTLES/CLASS WITH 45 BOTTLES(D)"
  ADBOTTL2 = "D/EMPTY BOTTLES/HOW MANY COLLECTED 50(C)"
  ADBOTTL3 = "D/EMPTY BOTTLES/WHO GOT THE PRIZE(D)"
  ADBOTTL4 = "D/EMPTY BOTTLES/WHO COLLECTED 80 BOTT(A)"
  ADBUSES1 = "D/BUSES/ROUTE NUMBER TO STATION(110)"
  ADBUSES2 = "D/BUSES/FIRST STOP ON ANNES WAY(CHURCH)"
  ADBUSES3 = "D/BUSES/WHEN DOES NEXT BUS LEAVE(5 MIN)"
  ADBUSES4 = "D/BUSES/NAME OF STOP BEFORE ZOO(MOORE)"
  ADCONTE1 = "D/CONTENTS/START OF BROOKES STORY(C)"
  ADCONTE2 = "D/CONTENTS/AUTHOR OF RICE BOWL PASSAG(A)"
  ADCONTE3 = "D/CONTENTS/WHERE TO FIND THE PICTURE(D)"
  ADTEMPR1 = "D/TEMPERATURE/HIGHEST TEMPERATURE(B)"
  ADTEMPR2 = "D/TEMPERATURE/WHEN DID TEMPERAT DROP(B)"
  ADTEMPR3 = "D/TEMPERATURE/COLDER AT 8PM THAN 12PM(C)"
  ADTEMPR4 = "D/TEMPERATURE/DAY TEMP ROSE STEADILY(D)"
  ADTEMPR5 = "D/TEMPERATURE/TEMP AT 6AM ON WEDNESD(A)"
  AEMARMO1 = "E/MARMOTS/WHY LIVING SO LONG IN ONE P(D)"
  AEMARMO2 = "E/MARMOTS/WHAT KEPT GRASS HEALTHY(D)"
  AEMARMO3 = "E/MARMOTS/WHY IS IT GOOD FACING SOUTH(B)"
  AEMARMO4 = "E/MARMOTS/MEANING OF LAST SENTENCE(B)"
  ANGRAPA1 = "N/GRANDPA/GRANDPA AT TABLE(C)"
  ANGRAPA2 = "N/GRANDPA/REASON TO SIT BEH THE STOVE(D)"
  ANGRAPA3 = "N/GRANDPA/WHY DID WIFE SCOLD GRANDPA(B)"
  ANGRAPA4 = "N/GRANDPA/GRANDPAS NEW BOWL(C)"
  ANGRAPA5 = "N/GRANDPA/HOW DID GRANDPA FEEL(D)"
  ANGRAPA6 = "N/GRANDPA/WHY DID SON AND WIFE CRY(C)"
  ANGRAPA7 = "N/GRANDPA/ASKING GRANDPA BACK(FREE RES)"
  AETREES1 = "E/TREES/AGE OF TREE(A)"
  AETREES2 = "E/TREES/MEANING OF LIGHT COLOUR(A)"
  AETREES3 = "E/TREES/HEARTWOOD IS WOOD WHICH IS(A)"
  AETREES4 = "E/TREES/EXPLAIN BOX 1(A)"
  AETREES5 = "E/TREES/AGE OF TREE IN BOX 2(B)"
  AETREES6 = "E/TREES/TRUNK FROM A DRY COUNTRY(D)"
  ITPART   = "FINAL PARTICIPATION INDICATOR"
  DPCDATE  = "DATE OF CREATION AT DPC"
  HOUWGT   = "HOUSE WEIGHT"
  TOTWGT   = "TOTAL STUDENT WEIGHT"
  SENWGT   = "SENATE WEIGHT"
  WGTADJ1  = "SCHOOL WEIGHT ADJUSTMENT"
  WGTADJ3  = "STUDENT WEIGHT ADJUSTMENT"
  WGTFAC1  = "SCHOOL WEIGHT FACTOR"
  WGTFAC2  = "CLASS WEIGHT FACTOR"
  WGTFAC3  = "STUDENT WEIGHT FACTOR"
  JKZONE   = "JACKKNIFE ZONE"
  JKREP    = "JACKKNIFE REPLICATE CODE"
  IDSTRATE = "EXPLICIT STRATUM"
  IDSTRATI = "IMPLICIT STRATUM"
  ASDSCPT  = "RAW SCORE POINTS/DOCUMENT ITEMS"
  ASESCPT  = "RAW SCORE POINTS/EXPOSITORY ITEMS"
  ASNSCPT  = "RAW SCORE POINTS/NARRATIVE ITEMS"
  ASASCPT  = "RAW SCORE POINTS/ALL ITEMS"
  ASDSTDR  = "STANDARDIZED ITEM SCORE/DOCUMENT ITEMS"
  ASDNRSC  = "RASCH SCORE/DOCUMENT ITEMS (150/10)"
  ASESTDR  = "STANDARDIZED ITEM SCORE/EXPOSITORY ITEMS"
  ASENRSC  = "RASCH SCORE/EXPOSITORY ITEMS (150/10)"
  ASNSTDR  = "STANDARDIZED ITEM SCORE/NARRATIVE ITEMS"
  ASNNRSC  = "RASCH SCORE/NARRATIVE ITEMS (150/10)"
  ASASTDR  = "STANDARDIZED ITEM SCORE/ALL ITEMS"
  ASANRSC  = "RASCH SCORE/ALL ITEMS (150/10)"
  ASRDOC01 = "PLAUSIBLE VALUE: DOCUMENT ITEMS PV1"
  ASRDOC02 = "PLAUSIBLE VALUE: DOCUMENT ITEMS PV2"
  ASRDOC03 = "PLAUSIBLE VALUE: DOCUMENT ITEMS PV3"
  ASRDOC04 = "PLAUSIBLE VALUE: DOCUMENT ITEMS PV4"
  ASRDOC05 = "PLAUSIBLE VALUE: DOCUMENT ITEMS PV5"
  ASREXP01 = "PLAUSIBLE VALUE: EXPOSITORY ITEMS PV1"
  ASREXP02 = "PLAUSIBLE VALUE: EXPOSITORY ITEMS PV2"
  ASREXP03 = "PLAUSIBLE VALUE: EXPOSITORY ITEMS PV3"
  ASREXP04 = "PLAUSIBLE VALUE: EXPOSITORY ITEMS PV4"
  ASREXP05 = "PLAUSIBLE VALUE: EXPOSITORY ITEMS PV5"
  ASRNAR01 = "PLAUSIBLE VALUE: NARRATIVE ITEMS PV1"
  ASRNAR02 = "PLAUSIBLE VALUE: NARRATIVE ITEMS PV2"
  ASRNAR03 = "PLAUSIBLE VALUE: NARRATIVE ITEMS PV3"
  ASRNAR04 = "PLAUSIBLE VALUE: NARRATIVE ITEMS PV4"
  ASRNAR05 = "PLAUSIBLE VALUE: NARRATIVE ITEMS PV5"
  ASRREA01 = "PLAUSIBLE VALUE: ALL BLOCKS PV1"
  ASRREA02 = "PLAUSIBLE VALUE: ALL BLOCKS PV2"
  ASRREA03 = "PLAUSIBLE VALUE: ALL BLOCKS PV3"
  ASRREA04 = "PLAUSIBLE VALUE: ALL BLOCKS PV4"
  ASRREA05 = "PLAUSIBLE VALUE: ALL BLOCKS PV5"
;

%PUT INFO: recode "not administered" data to missing code ".A" ;
*NOTE: If a CHECK variable is coded correctly with a BLANK, it will be recoded
       to "1", otherwise it will be recoded to "0" ;

IF IDGRADE  = 98               THEN IDGRADE  = .A ;
IF ITBIRTHM = 98               THEN ITBIRTHM = .A ;
IF ITBIRTHY = 98               THEN ITBIRTHY = .A ;
IF ITSEX    = 8                THEN ITSEX    = .A ;
IF ITADMINI = 8                THEN ITADMINI = .A ;
IF ITDATEM  = 98               THEN ITDATEM  = .A ;
IF ITDATEY  = 9998             THEN ITDATEY  = .A ;
IF ITLANG   = 8                THEN ITLANG   = .A ;
IF IDPOP    = 8                THEN IDPOP    = .A ;
IF IDGRADER = 8                THEN IDGRADER = .A ;
IF INRLS91  = 8                THEN INRLS91  = .A ;
IF ASAGEY   = 98               THEN ASAGEY   = .A ;
IF ASAGEM   = 98               THEN ASAGEM   = .A ;
IF ASSEX    = 8                THEN ASSEX    = .A ;
IF ASUSLAN  = 8                THEN ASUSLAN  = .A ;
IF ASMEAL1  = 8                THEN ASMEAL1  = .A ;
IF ASMEAL2  = 8                THEN ASMEAL2  = .A ;
IF ASMEAL3  = 8                THEN ASMEAL3  = .A ;
IF ASNEWS   = 8                THEN ASNEWS   = .A ;
IF ASTV     = 98               THEN ASTV     = .A ;
IF ASBOOKS  = 8                THEN ASBOOKS  = .A ;
IF ASHOM01  = 8                THEN ASHOM01  = .A ;
IF ASHOM02  = 8                THEN ASHOM02  = .A ;
IF ASHOM03  = 8                THEN ASHOM03  = .A ;
IF ASHOM04  = 8                THEN ASHOM04  = .A ;
IF ASHOM05  = 8                THEN ASHOM05  = .A ;
IF ASHOM06  = 8                THEN ASHOM06  = .A ;
IF ASHOM07  = 8                THEN ASHOM07  = .A ;
IF ASHOM08  = 8                THEN ASHOM08  = .A ;
IF ASHOM09  = 8                THEN ASHOM09  = .A ;
IF ASHOM10  = 8                THEN ASHOM10  = .A ;
IF ASSTUD1  = 8                THEN ASSTUD1  = .A ;
IF ASSTUD2  = 8                THEN ASSTUD2  = .A ;
IF ASSTUD3  = 8                THEN ASSTUD3  = .A ;
IF ASSTUD4  = 8                THEN ASSTUD4  = .A ;
IF ASSTUD5  = 8                THEN ASSTUD5  = .A ;
IF ASSTUD6  = 8                THEN ASSTUD6  = .A ;
IF ASSTUD7  = 8                THEN ASSTUD7  = .A ;
IF ASSTUD8  = 8                THEN ASSTUD8  = .A ;
IF ASPRHTL  = 8                THEN ASPRHTL  = .A ;
IF ASPRETL  = 8                THEN ASPRETL  = .A ;
IF ASPRHOL  = 8                THEN ASPRHOL  = .A ;
IF ASPREOL  = 8                THEN ASPREOL  = .A ;
IF ASBORBO  = 8                THEN ASBORBO  = .A ;
IF ASSRATE  = 8                THEN ASSRATE  = .A ;
IF ASWAY01  = 8                THEN ASWAY01  = .A ;
IF ASWAY02  = 8                THEN ASWAY02  = .A ;
IF ASWAY03  = 8                THEN ASWAY03  = .A ;
IF ASWAY04  = 8                THEN ASWAY04  = .A ;
IF ASWAY05  = 8                THEN ASWAY05  = .A ;
IF ASWAY06  = 8                THEN ASWAY06  = .A ;
IF ASWAY07  = 8                THEN ASWAY07  = .A ;
IF ASWAY08  = 8                THEN ASWAY08  = .A ;
IF ASWAY09  = 8                THEN ASWAY09  = .A ;
IF ASWAY10  = 8                THEN ASWAY10  = .A ;
IF ASWAY11  = 8                THEN ASWAY11  = .A ;
IF ASREATL  = 8                THEN ASREATL  = .A ;
IF ASASKRE  = 8                THEN ASASKRE  = .A ;
IF ASHWKF   = 8                THEN ASHWKF   = .A ;
IF ASHWKT   = 8                THEN ASHWKT   = .A ;
IF ASQUEST  = 98               THEN ASQUEST  = .A ;
IF ASHWKH   = 8                THEN ASHWKH   = .A ;
IF ASHWKO   = 8                THEN ASHWKO   = .A ;
IF ASWRITE  = 8                THEN ASWRITE  = .A ;
IF ASBOOKW  = 8                THEN ASBOOKW  = .A ;
IF ASBOOKF  = 8                THEN ASBOOKF  = .A ;
IF ASCOMIW  = 8                THEN ASCOMIW  = .A ;
IF ASCOMIF  = 8                THEN ASCOMIF  = .A ;
IF ASMAGAW  = 8                THEN ASMAGAW  = .A ;
IF ASMAGAF  = 8                THEN ASMAGAF  = .A ;
IF ASNEWSW  = 8                THEN ASNEWSW  = .A ;
IF ASNEWSF  = 8                THEN ASNEWSF  = .A ;
IF ASDIRCF  = 8                THEN ASDIRCF  = .A ;
IF ASALOUD  = 8                THEN ASALOUD  = .A ;
IF ASALOUF  = 8                THEN ASALOUF  = .A ;
IF ASALOUW  = 8                THEN ASALOUW  = .A ;
IF ASMAT1   = 8                THEN ASMAT1   = .A ;
IF ASMAT2   = 8                THEN ASMAT2   = .A ;
IF ASMAT3   = 8                THEN ASMAT3   = .A ;
IF ASMAT4   = 8                THEN ASMAT4   = .A ;
IF ASMAT5   = 8                THEN ASMAT5   = .A ;
IF ASMAT6   = 8                THEN ASMAT6   = .A ;
IF ASMAT7   = 8                THEN ASMAT7   = .A ;
IF ASMAT8   = 8                THEN ASMAT8   = .A ;
IF ASTEXTF  = 8                THEN ASTEXTF  = .A ;
IF ASSTORF  = 8                THEN ASSTORF  = .A ;
IF ASWORKF  = 8                THEN ASWORKF  = .A ;
IF ASEXERF  = 8                THEN ASEXERF  = .A ;
IF ASINFOF  = 8                THEN ASINFOF  = .A ;
IF AWBIRD01 = 8                THEN AWBIRD01 = .A ;
IF AWHEAD02 = 8                THEN AWHEAD02 = .A ;
IF AWCHIL03 = 8                THEN AWCHIL03 = .A ;
IF AWSHOE04 = 8                THEN AWSHOE04 = .A ;
IF AWFOOT05 = 8                THEN AWFOOT05 = .A ;
IF AWCOAT06 = 8                THEN AWCOAT06 = .A ;
IF AWCIRC07 = 8                THEN AWCIRC07 = .A ;
IF AWBOY008 = 8                THEN AWBOY008 = .A ;
IF AWSNAK09 = 8                THEN AWSNAK09 = .A ;
IF AWFING10 = 8                THEN AWFING10 = .A ;
IF AWFLAG11 = 8                THEN AWFLAG11 = .A ;
IF AWDUCK12 = 8                THEN AWDUCK12 = .A ;
IF AWBELL13 = 8                THEN AWBELL13 = .A ;
IF AWARRO14 = 8                THEN AWARRO14 = .A ;
IF AWMOUS15 = 8                THEN AWMOUS15 = .A ;
IF AWBRUS16 = 8                THEN AWBRUS16 = .A ;
IF AWORAN17 = 8                THEN AWORAN17 = .A ;
IF AWSTAR18 = 8                THEN AWSTAR18 = .A ;
IF AWHAMM19 = 8                THEN AWHAMM19 = .A ;
IF AWKEY020 = 8                THEN AWKEY020 = .A ;
IF AWLAMP21 = 8                THEN AWLAMP21 = .A ;
IF AWWOMA22 = 8                THEN AWWOMA22 = .A ;
IF AWFISH23 = 8                THEN AWFISH23 = .A ;
IF AWHORS24 = 8                THEN AWHORS24 = .A ;
IF AWLETT25 = 8                THEN AWLETT25 = .A ;
IF AWDRUM26 = 8                THEN AWDRUM26 = .A ;
IF AWTWIN27 = 8                THEN AWTWIN27 = .A ;
IF AWCOMB28 = 8                THEN AWCOMB28 = .A ;
IF AWMAN029 = 8                THEN AWMAN029 = .A ;
IF AWFIVE30 = 8                THEN AWFIVE30 = .A ;
IF AWKNIF31 = 8                THEN AWKNIF31 = .A ;
IF AWHAND32 = 8                THEN AWHAND32 = .A ;
IF AWFLOW33 = 8                THEN AWFLOW33 = .A ;
IF AWHEAR34 = 8                THEN AWHEAR34 = .A ;
IF AWBED035 = 8                THEN AWBED035 = .A ;
IF AWCUP036 = 8                THEN AWCUP036 = .A ;
IF AWPLAN37 = 8                THEN AWPLAN37 = .A ;
IF AWCAP038 = 8                THEN AWCAP038 = .A ;
IF AWBUTT39 = 8                THEN AWBUTT39 = .A ;
IF AWBOAT40 = 8                THEN AWBOAT40 = .A ;
IF AEPCARD1 = 8                THEN AEPCARD1 = .A ;
IF AEPCARD2 = 8                THEN AEPCARD2 = .A ;
IF ANBIRD01 = 8                THEN ANBIRD01 = .A ;
IF ANBIRD02 = 8                THEN ANBIRD02 = .A ;
IF ANBIRD03 = 8                THEN ANBIRD03 = .A ;
IF ANBIRD04 = 8                THEN ANBIRD04 = .A ;
IF ANBIRD05 = 8                THEN ANBIRD05 = .A ;
IF ADISLAN1 = 8                THEN ADISLAN1 = .A ;
IF ADISLAN2 = 8                THEN ADISLAN2 = .A ;
IF ADISLAN3 = 8                THEN ADISLAN3 = .A ;
IF ADISLAN4 = 8                THEN ADISLAN4 = .A ;
IF ADMARIA1 = 8                THEN ADMARIA1 = .A ;
IF ADMARIA2 = 8                THEN ADMARIA2 = .A ;
IF ADMARIA3 = 8                THEN ADMARIA3 = .A ;
IF ANNODOG1 = 8                THEN ANNODOG1 = .A ;
IF ANNODOG2 = 8                THEN ANNODOG2 = .A ;
IF ANNODOG3 = 8                THEN ANNODOG3 = .A ;
IF ANNODOG4 = 8                THEN ANNODOG4 = .A ;
IF ANNODOG5 = 8                THEN ANNODOG5 = .A ;
IF ANNODOG6 = 8                THEN ANNODOG6 = .A ;
IF AEWALRU1 = 8                THEN AEWALRU1 = .A ;
IF AEWALRU2 = 8                THEN AEWALRU2 = .A ;
IF AEWALRU3 = 8                THEN AEWALRU3 = .A ;
IF AEWALRU4 = 8                THEN AEWALRU4 = .A ;
IF AEWALRU5 = 8                THEN AEWALRU5 = .A ;
IF AEWALRU6 = 8                THEN AEWALRU6 = .A ;
IF AEWALRU7 = 8                THEN AEWALRU7 = .A ;
IF AEQSAND1 = 8                THEN AEQSAND1 = .A ;
IF AEQSAND2 = 8                THEN AEQSAND2 = .A ;
IF AEQSAND3 = 8                THEN AEQSAND3 = .A ;
IF ANSHARK1 = 8                THEN ANSHARK1 = .A ;
IF ANSHARK2 = 8                THEN ANSHARK2 = .A ;
IF ANSHARK3 = 8                THEN ANSHARK3 = .A ;
IF ANSHARK4 = 8                THEN ANSHARK4 = .A ;
IF ANSHARK5 = 8                THEN ANSHARK5 = .A ;
IF ADBOTTL1 = 8                THEN ADBOTTL1 = .A ;
IF ADBOTTL2 = 8                THEN ADBOTTL2 = .A ;
IF ADBOTTL3 = 8                THEN ADBOTTL3 = .A ;
IF ADBOTTL4 = 8                THEN ADBOTTL4 = .A ;
IF ADBUSES1 = 8                THEN ADBUSES1 = .A ;
IF ADBUSES2 = 8                THEN ADBUSES2 = .A ;
IF ADBUSES3 = 8                THEN ADBUSES3 = .A ;
IF ADBUSES4 = 8                THEN ADBUSES4 = .A ;
IF ADCONTE1 = 8                THEN ADCONTE1 = .A ;
IF ADCONTE2 = 8                THEN ADCONTE2 = .A ;
IF ADCONTE3 = 8                THEN ADCONTE3 = .A ;
IF ADTEMPR1 = 8                THEN ADTEMPR1 = .A ;
IF ADTEMPR2 = 8                THEN ADTEMPR2 = .A ;
IF ADTEMPR3 = 8                THEN ADTEMPR3 = .A ;
IF ADTEMPR4 = 8                THEN ADTEMPR4 = .A ;
IF ADTEMPR5 = 8                THEN ADTEMPR5 = .A ;
IF AEMARMO1 = 8                THEN AEMARMO1 = .A ;
IF AEMARMO2 = 8                THEN AEMARMO2 = .A ;
IF AEMARMO3 = 8                THEN AEMARMO3 = .A ;
IF AEMARMO4 = 8                THEN AEMARMO4 = .A ;
IF ANGRAPA1 = 8                THEN ANGRAPA1 = .A ;
IF ANGRAPA2 = 8                THEN ANGRAPA2 = .A ;
IF ANGRAPA3 = 8                THEN ANGRAPA3 = .A ;
IF ANGRAPA4 = 8                THEN ANGRAPA4 = .A ;
IF ANGRAPA5 = 8                THEN ANGRAPA5 = .A ;
IF ANGRAPA6 = 8                THEN ANGRAPA6 = .A ;
IF ANGRAPA7 = 8                THEN ANGRAPA7 = .A ;
IF AETREES1 = 8                THEN AETREES1 = .A ;
IF AETREES2 = 8                THEN AETREES2 = .A ;
IF AETREES3 = 8                THEN AETREES3 = .A ;
IF AETREES4 = 8                THEN AETREES4 = .A ;
IF AETREES5 = 8                THEN AETREES5 = .A ;
IF AETREES6 = 8                THEN AETREES6 = .A ;
IF ITPART   = 8                THEN ITPART   = .A ;
IF HOUWGT   = 999998           THEN HOUWGT   = .A ;
IF TOTWGT   = 999998           THEN TOTWGT   = .A ;
IF SENWGT   = 999998           THEN SENWGT   = .A ;
IF WGTADJ1  = 999998           THEN WGTADJ1  = .A ;
IF WGTADJ3  = 999998           THEN WGTADJ3  = .A ;
IF WGTFAC1  = 999998           THEN WGTFAC1  = .A ;
IF WGTFAC2  = 999998           THEN WGTFAC2  = .A ;
IF WGTFAC3  = 999998           THEN WGTFAC3  = .A ;
IF JKZONE   = 98               THEN JKZONE   = .A ;
IF JKREP    = 8                THEN JKREP    = .A ;
IF IDSTRATE = 998              THEN IDSTRATE = .A ;
IF IDSTRATI = 998              THEN IDSTRATI = .A ;
IF ASDSCPT  = 9998             THEN ASDSCPT  = .A ;
IF ASESCPT  = 9998             THEN ASESCPT  = .A ;
IF ASNSCPT  = 9998             THEN ASNSCPT  = .A ;
IF ASASCPT  = 9998             THEN ASASCPT  = .A ;
IF ASDSTDR  = 9998             THEN ASDSTDR  = .A ;
IF ASDNRSC  = 9998             THEN ASDNRSC  = .A ;
IF ASESTDR  = 9998             THEN ASESTDR  = .A ;
IF ASENRSC  = 9998             THEN ASENRSC  = .A ;
IF ASNSTDR  = 9998             THEN ASNSTDR  = .A ;
IF ASNNRSC  = 9998             THEN ASNNRSC  = .A ;
IF ASASTDR  = 9998             THEN ASASTDR  = .A ;
IF ASANRSC  = 9998             THEN ASANRSC  = .A ;
IF ASRDOC01 = 999998           THEN ASRDOC01 = .A ;
IF ASRDOC02 = 999998           THEN ASRDOC02 = .A ;
IF ASRDOC03 = 999998           THEN ASRDOC03 = .A ;
IF ASRDOC04 = 999998           THEN ASRDOC04 = .A ;
IF ASRDOC05 = 999998           THEN ASRDOC05 = .A ;
IF ASREXP01 = 999998           THEN ASREXP01 = .A ;
IF ASREXP02 = 999998           THEN ASREXP02 = .A ;
IF ASREXP03 = 999998           THEN ASREXP03 = .A ;
IF ASREXP04 = 999998           THEN ASREXP04 = .A ;
IF ASREXP05 = 999998           THEN ASREXP05 = .A ;
IF ASRNAR01 = 999998           THEN ASRNAR01 = .A ;
IF ASRNAR02 = 999998           THEN ASRNAR02 = .A ;
IF ASRNAR03 = 999998           THEN ASRNAR03 = .A ;
IF ASRNAR04 = 999998           THEN ASRNAR04 = .A ;
IF ASRNAR05 = 999998           THEN ASRNAR05 = .A ;
IF ASRREA01 = 999998           THEN ASRREA01 = .A ;
IF ASRREA02 = 999998           THEN ASRREA02 = .A ;
IF ASRREA03 = 999998           THEN ASRREA03 = .A ;
IF ASRREA04 = 999998           THEN ASRREA04 = .A ;
IF ASRREA05 = 999998           THEN ASRREA05 = .A ;

%PUT INFO: recode special missing codes to SAS missing codes ;
*NOTE: Special missing codes are recoded to SAS
       character - missing codes;

IF ASHWKT   = 6                THEN ASHWKT   = .B ;
IF ASQUEST  = 96               THEN ASQUEST  = .B ;
IF ASHWKH   = 6                THEN ASHWKH   = .B ;
IF ASALOUF  = 6                THEN ASALOUF  = .B ;
IF ASALOUW  = 6                THEN ASALOUW  = .B ;
IF ASMAT1   = 6                THEN ASMAT1   = .B ;
IF ASMAT2   = 6                THEN ASMAT2   = .B ;
IF ASMAT3   = 6                THEN ASMAT3   = .B ;
IF ASMAT4   = 6                THEN ASMAT4   = .B ;
IF ASMAT5   = 6                THEN ASMAT5   = .B ;
IF ASMAT6   = 6                THEN ASMAT6   = .B ;
IF ASMAT7   = 6                THEN ASMAT7   = .B ;
IF ASMAT8   = 6                THEN ASMAT8   = .B ;
IF AWBIRD01 = 6                THEN AWBIRD01 = .R ;
IF AWBIRD01 = 7                THEN AWBIRD01 = .I ;
IF AWHEAD02 = 6                THEN AWHEAD02 = .R ;
IF AWHEAD02 = 7                THEN AWHEAD02 = .I ;
IF AWCHIL03 = 6                THEN AWCHIL03 = .R ;
IF AWCHIL03 = 7                THEN AWCHIL03 = .I ;
IF AWSHOE04 = 6                THEN AWSHOE04 = .R ;
IF AWSHOE04 = 7                THEN AWSHOE04 = .I ;
IF AWFOOT05 = 6                THEN AWFOOT05 = .R ;
IF AWFOOT05 = 7                THEN AWFOOT05 = .I ;
IF AWCOAT06 = 6                THEN AWCOAT06 = .R ;
IF AWCOAT06 = 7                THEN AWCOAT06 = .I ;
IF AWCIRC07 = 6                THEN AWCIRC07 = .R ;
IF AWCIRC07 = 7                THEN AWCIRC07 = .I ;
IF AWBOY008 = 6                THEN AWBOY008 = .R ;
IF AWBOY008 = 7                THEN AWBOY008 = .I ;
IF AWSNAK09 = 6                THEN AWSNAK09 = .R ;
IF AWSNAK09 = 7                THEN AWSNAK09 = .I ;
IF AWFING10 = 6                THEN AWFING10 = .R ;
IF AWFING10 = 7                THEN AWFING10 = .I ;
IF AWFLAG11 = 6                THEN AWFLAG11 = .R ;
IF AWFLAG11 = 7                THEN AWFLAG11 = .I ;
IF AWDUCK12 = 6                THEN AWDUCK12 = .R ;
IF AWDUCK12 = 7                THEN AWDUCK12 = .I ;
IF AWBELL13 = 6                THEN AWBELL13 = .R ;
IF AWBELL13 = 7                THEN AWBELL13 = .I ;
IF AWARRO14 = 6                THEN AWARRO14 = .R ;
IF AWARRO14 = 7                THEN AWARRO14 = .I ;
IF AWMOUS15 = 6                THEN AWMOUS15 = .R ;
IF AWMOUS15 = 7                THEN AWMOUS15 = .I ;
IF AWBRUS16 = 6                THEN AWBRUS16 = .R ;
IF AWBRUS16 = 7                THEN AWBRUS16 = .I ;
IF AWORAN17 = 6                THEN AWORAN17 = .R ;
IF AWORAN17 = 7                THEN AWORAN17 = .I ;
IF AWSTAR18 = 6                THEN AWSTAR18 = .R ;
IF AWSTAR18 = 7                THEN AWSTAR18 = .I ;
IF AWHAMM19 = 6                THEN AWHAMM19 = .R ;
IF AWHAMM19 = 7                THEN AWHAMM19 = .I ;
IF AWKEY020 = 6                THEN AWKEY020 = .R ;
IF AWKEY020 = 7                THEN AWKEY020 = .I ;
IF AWLAMP21 = 6                THEN AWLAMP21 = .R ;
IF AWLAMP21 = 7                THEN AWLAMP21 = .I ;
IF AWWOMA22 = 6                THEN AWWOMA22 = .R ;
IF AWWOMA22 = 7                THEN AWWOMA22 = .I ;
IF AWFISH23 = 6                THEN AWFISH23 = .R ;
IF AWFISH23 = 7                THEN AWFISH23 = .I ;
IF AWHORS24 = 6                THEN AWHORS24 = .R ;
IF AWHORS24 = 7                THEN AWHORS24 = .I ;
IF AWLETT25 = 6                THEN AWLETT25 = .R ;
IF AWLETT25 = 7                THEN AWLETT25 = .I ;
IF AWDRUM26 = 6                THEN AWDRUM26 = .R ;
IF AWDRUM26 = 7                THEN AWDRUM26 = .I ;
IF AWTWIN27 = 6                THEN AWTWIN27 = .R ;
IF AWTWIN27 = 7                THEN AWTWIN27 = .I ;
IF AWCOMB28 = 6                THEN AWCOMB28 = .R ;
IF AWCOMB28 = 7                THEN AWCOMB28 = .I ;
IF AWMAN029 = 6                THEN AWMAN029 = .R ;
IF AWMAN029 = 7                THEN AWMAN029 = .I ;
IF AWFIVE30 = 6                THEN AWFIVE30 = .R ;
IF AWFIVE30 = 7                THEN AWFIVE30 = .I ;
IF AWKNIF31 = 6                THEN AWKNIF31 = .R ;
IF AWKNIF31 = 7                THEN AWKNIF31 = .I ;
IF AWHAND32 = 6                THEN AWHAND32 = .R ;
IF AWHAND32 = 7                THEN AWHAND32 = .I ;
IF AWFLOW33 = 6                THEN AWFLOW33 = .R ;
IF AWFLOW33 = 7                THEN AWFLOW33 = .I ;
IF AWHEAR34 = 6                THEN AWHEAR34 = .R ;
IF AWHEAR34 = 7                THEN AWHEAR34 = .I ;
IF AWBED035 = 6                THEN AWBED035 = .R ;
IF AWBED035 = 7                THEN AWBED035 = .I ;
IF AWCUP036 = 6                THEN AWCUP036 = .R ;
IF AWCUP036 = 7                THEN AWCUP036 = .I ;
IF AWPLAN37 = 6                THEN AWPLAN37 = .R ;
IF AWPLAN37 = 7                THEN AWPLAN37 = .I ;
IF AWCAP038 = 6                THEN AWCAP038 = .R ;
IF AWCAP038 = 7                THEN AWCAP038 = .I ;
IF AWBUTT39 = 6                THEN AWBUTT39 = .R ;
IF AWBUTT39 = 7                THEN AWBUTT39 = .I ;
IF AWBOAT40 = 6                THEN AWBOAT40 = .R ;
IF AWBOAT40 = 7                THEN AWBOAT40 = .I ;
IF AEPCARD1 = 6                THEN AEPCARD1 = .R ;
IF AEPCARD1 = 7                THEN AEPCARD1 = .I ;
IF AEPCARD2 = 6                THEN AEPCARD2 = .R ;
IF AEPCARD2 = 7                THEN AEPCARD2 = .I ;
IF ANBIRD01 = 6                THEN ANBIRD01 = .R ;
IF ANBIRD01 = 7                THEN ANBIRD01 = .I ;
IF ANBIRD02 = 6                THEN ANBIRD02 = .R ;
IF ANBIRD02 = 7                THEN ANBIRD02 = .I ;
IF ANBIRD03 = 6                THEN ANBIRD03 = .R ;
IF ANBIRD03 = 7                THEN ANBIRD03 = .I ;
IF ANBIRD04 = 6                THEN ANBIRD04 = .R ;
IF ANBIRD04 = 7                THEN ANBIRD04 = .I ;
IF ANBIRD05 = 6                THEN ANBIRD05 = .R ;
IF ANBIRD05 = 7                THEN ANBIRD05 = .I ;
IF ADISLAN1 = 6                THEN ADISLAN1 = .R ;
IF ADISLAN1 = 7                THEN ADISLAN1 = .I ;
IF ADISLAN2 = 6                THEN ADISLAN2 = .R ;
IF ADISLAN2 = 7                THEN ADISLAN2 = .I ;
IF ADISLAN3 = 6                THEN ADISLAN3 = .R ;
IF ADISLAN3 = 7                THEN ADISLAN3 = .I ;
IF ADISLAN4 = 6                THEN ADISLAN4 = .R ;
IF ADISLAN4 = 7                THEN ADISLAN4 = .I ;
IF ADMARIA1 = 6                THEN ADMARIA1 = .R ;
IF ADMARIA1 = 7                THEN ADMARIA1 = .I ;
IF ADMARIA2 = 6                THEN ADMARIA2 = .R ;
IF ADMARIA2 = 7                THEN ADMARIA2 = .I ;
IF ADMARIA3 = 6                THEN ADMARIA3 = .R ;
IF ADMARIA3 = 7                THEN ADMARIA3 = .I ;
IF ANNODOG1 = 6                THEN ANNODOG1 = .R ;
IF ANNODOG1 = 7                THEN ANNODOG1 = .I ;
IF ANNODOG2 = 6                THEN ANNODOG2 = .R ;
IF ANNODOG2 = 7                THEN ANNODOG2 = .I ;
IF ANNODOG3 = 6                THEN ANNODOG3 = .R ;
IF ANNODOG3 = 7                THEN ANNODOG3 = .I ;
IF ANNODOG4 = 6                THEN ANNODOG4 = .R ;
IF ANNODOG4 = 7                THEN ANNODOG4 = .I ;
IF ANNODOG5 = 6                THEN ANNODOG5 = .R ;
IF ANNODOG5 = 7                THEN ANNODOG5 = .I ;
IF ANNODOG6 = 6                THEN ANNODOG6 = .R ;
IF ANNODOG6 = 7                THEN ANNODOG6 = .I ;
IF AEWALRU1 = 6                THEN AEWALRU1 = .R ;
IF AEWALRU1 = 7                THEN AEWALRU1 = .I ;
IF AEWALRU2 = 6                THEN AEWALRU2 = .R ;
IF AEWALRU2 = 7                THEN AEWALRU2 = .I ;
IF AEWALRU3 = 6                THEN AEWALRU3 = .R ;
IF AEWALRU3 = 7                THEN AEWALRU3 = .I ;
IF AEWALRU4 = 6                THEN AEWALRU4 = .R ;
IF AEWALRU4 = 7                THEN AEWALRU4 = .I ;
IF AEWALRU5 = 6                THEN AEWALRU5 = .R ;
IF AEWALRU5 = 7                THEN AEWALRU5 = .I ;
IF AEWALRU6 = 6                THEN AEWALRU6 = .R ;
IF AEWALRU6 = 7                THEN AEWALRU6 = .I ;
IF AEWALRU7 = 6                THEN AEWALRU7 = .R ;
IF AEWALRU7 = 7                THEN AEWALRU7 = .I ;
IF AEQSAND1 = 6                THEN AEQSAND1 = .R ;
IF AEQSAND1 = 7                THEN AEQSAND1 = .I ;
IF AEQSAND2 = 6                THEN AEQSAND2 = .R ;
IF AEQSAND2 = 7                THEN AEQSAND2 = .I ;
IF AEQSAND3 = 6                THEN AEQSAND3 = .R ;
IF AEQSAND3 = 7                THEN AEQSAND3 = .I ;
IF ANSHARK1 = 6                THEN ANSHARK1 = .R ;
IF ANSHARK1 = 7                THEN ANSHARK1 = .I ;
IF ANSHARK2 = 6                THEN ANSHARK2 = .R ;
IF ANSHARK2 = 7                THEN ANSHARK2 = .I ;
IF ANSHARK3 = 6                THEN ANSHARK3 = .R ;
IF ANSHARK3 = 7                THEN ANSHARK3 = .I ;
IF ANSHARK4 = 6                THEN ANSHARK4 = .R ;
IF ANSHARK4 = 7                THEN ANSHARK4 = .I ;
IF ANSHARK5 = 6                THEN ANSHARK5 = .R ;
IF ANSHARK5 = 7                THEN ANSHARK5 = .I ;
IF ADBOTTL1 = 6                THEN ADBOTTL1 = .R ;
IF ADBOTTL1 = 7                THEN ADBOTTL1 = .I ;
IF ADBOTTL2 = 6                THEN ADBOTTL2 = .R ;
IF ADBOTTL2 = 7                THEN ADBOTTL2 = .I ;
IF ADBOTTL3 = 6                THEN ADBOTTL3 = .R ;
IF ADBOTTL3 = 7                THEN ADBOTTL3 = .I ;
IF ADBOTTL4 = 6                THEN ADBOTTL4 = .R ;
IF ADBOTTL4 = 7                THEN ADBOTTL4 = .I ;
IF ADBUSES1 = 6                THEN ADBUSES1 = .R ;
IF ADBUSES1 = 7                THEN ADBUSES1 = .I ;
IF ADBUSES2 = 6                THEN ADBUSES2 = .R ;
IF ADBUSES2 = 7                THEN ADBUSES2 = .I ;
IF ADBUSES3 = 6                THEN ADBUSES3 = .R ;
IF ADBUSES3 = 7                THEN ADBUSES3 = .I ;
IF ADBUSES4 = 6                THEN ADBUSES4 = .R ;
IF ADBUSES4 = 7                THEN ADBUSES4 = .I ;
IF ADCONTE1 = 6                THEN ADCONTE1 = .R ;
IF ADCONTE1 = 7                THEN ADCONTE1 = .I ;
IF ADCONTE2 = 6                THEN ADCONTE2 = .R ;
IF ADCONTE2 = 7                THEN ADCONTE2 = .I ;
IF ADCONTE3 = 6                THEN ADCONTE3 = .R ;
IF ADCONTE3 = 7                THEN ADCONTE3 = .I ;
IF ADTEMPR1 = 6                THEN ADTEMPR1 = .R ;
IF ADTEMPR1 = 7                THEN ADTEMPR1 = .I ;
IF ADTEMPR2 = 6                THEN ADTEMPR2 = .R ;
IF ADTEMPR2 = 7                THEN ADTEMPR2 = .I ;
IF ADTEMPR3 = 6                THEN ADTEMPR3 = .R ;
IF ADTEMPR3 = 7                THEN ADTEMPR3 = .I ;
IF ADTEMPR4 = 6                THEN ADTEMPR4 = .R ;
IF ADTEMPR4 = 7                THEN ADTEMPR4 = .I ;
IF ADTEMPR5 = 6                THEN ADTEMPR5 = .R ;
IF ADTEMPR5 = 7                THEN ADTEMPR5 = .I ;
IF AEMARMO1 = 6                THEN AEMARMO1 = .R ;
IF AEMARMO1 = 7                THEN AEMARMO1 = .I ;
IF AEMARMO2 = 6                THEN AEMARMO2 = .R ;
IF AEMARMO2 = 7                THEN AEMARMO2 = .I ;
IF AEMARMO3 = 6                THEN AEMARMO3 = .R ;
IF AEMARMO3 = 7                THEN AEMARMO3 = .I ;
IF AEMARMO4 = 6                THEN AEMARMO4 = .R ;
IF AEMARMO4 = 7                THEN AEMARMO4 = .I ;
IF ANGRAPA1 = 6                THEN ANGRAPA1 = .R ;
IF ANGRAPA1 = 7                THEN ANGRAPA1 = .I ;
IF ANGRAPA2 = 6                THEN ANGRAPA2 = .R ;
IF ANGRAPA2 = 7                THEN ANGRAPA2 = .I ;
IF ANGRAPA3 = 6                THEN ANGRAPA3 = .R ;
IF ANGRAPA3 = 7                THEN ANGRAPA3 = .I ;
IF ANGRAPA4 = 6                THEN ANGRAPA4 = .R ;
IF ANGRAPA4 = 7                THEN ANGRAPA4 = .I ;
IF ANGRAPA5 = 6                THEN ANGRAPA5 = .R ;
IF ANGRAPA5 = 7                THEN ANGRAPA5 = .I ;
IF ANGRAPA6 = 6                THEN ANGRAPA6 = .R ;
IF ANGRAPA6 = 7                THEN ANGRAPA6 = .I ;
IF ANGRAPA7 = 6                THEN ANGRAPA7 = .R ;
IF ANGRAPA7 = 7                THEN ANGRAPA7 = .I ;
IF AETREES1 = 6                THEN AETREES1 = .R ;
IF AETREES1 = 7                THEN AETREES1 = .I ;
IF AETREES2 = 6                THEN AETREES2 = .R ;
IF AETREES2 = 7                THEN AETREES2 = .I ;
IF AETREES3 = 6                THEN AETREES3 = .R ;
IF AETREES3 = 7                THEN AETREES3 = .I ;
IF AETREES4 = 6                THEN AETREES4 = .R ;
IF AETREES4 = 7                THEN AETREES4 = .I ;
IF AETREES5 = 6                THEN AETREES5 = .R ;
IF AETREES5 = 7                THEN AETREES5 = .I ;
IF AETREES6 = 6                THEN AETREES6 = .R ;
IF AETREES6 = 7                THEN AETREES6 = .I ;

%PUT INFO: recode omitted data to missing code "." ;
*NOTE: BLANKS are recoded to SYSMIS by SAS ;

IF ITBIRTHM = 99               THEN ITBIRTHM = . ;
IF ITBIRTHY = 99               THEN ITBIRTHY = . ;
IF ITSEX    = 9                THEN ITSEX    = . ;
IF ITADMINI = 9                THEN ITADMINI = . ;
IF ITDATEM  = 99               THEN ITDATEM  = . ;
IF ITDATEY  = 9999             THEN ITDATEY  = . ;
IF ITLANG   = 9                THEN ITLANG   = . ;
IF IDPOP    = 9                THEN IDPOP    = . ;
IF IDGRADER = 9                THEN IDGRADER = . ;
IF INRLS91  = 9                THEN INRLS91  = . ;
IF ASAGEY   = 99               THEN ASAGEY   = . ;
IF ASAGEM   = 99               THEN ASAGEM   = . ;
IF ASSEX    = 9                THEN ASSEX    = . ;
IF ASUSLAN  = 9                THEN ASUSLAN  = . ;
IF ASMEAL1  = 9                THEN ASMEAL1  = . ;
IF ASMEAL2  = 9                THEN ASMEAL2  = . ;
IF ASMEAL3  = 9                THEN ASMEAL3  = . ;
IF ASNEWS   = 9                THEN ASNEWS   = . ;
IF ASTV     = 99               THEN ASTV     = . ;
IF ASBOOKS  = 9                THEN ASBOOKS  = . ;
IF ASHOM01  = 9                THEN ASHOM01  = . ;
IF ASHOM02  = 9                THEN ASHOM02  = . ;
IF ASHOM03  = 9                THEN ASHOM03  = . ;
IF ASHOM04  = 9                THEN ASHOM04  = . ;
IF ASHOM05  = 9                THEN ASHOM05  = . ;
IF ASHOM06  = 9                THEN ASHOM06  = . ;
IF ASHOM07  = 9                THEN ASHOM07  = . ;
IF ASHOM08  = 9                THEN ASHOM08  = . ;
IF ASHOM09  = 9                THEN ASHOM09  = . ;
IF ASHOM10  = 9                THEN ASHOM10  = . ;
IF ASSTUD1  = 9                THEN ASSTUD1  = . ;
IF ASSTUD2  = 9                THEN ASSTUD2  = . ;
IF ASSTUD3  = 9                THEN ASSTUD3  = . ;
IF ASSTUD4  = 9                THEN ASSTUD4  = . ;
IF ASSTUD5  = 9                THEN ASSTUD5  = . ;
IF ASSTUD6  = 9                THEN ASSTUD6  = . ;
IF ASSTUD7  = 9                THEN ASSTUD7  = . ;
IF ASSTUD8  = 9                THEN ASSTUD8  = . ;
IF ASPRHTL  = 9                THEN ASPRHTL  = . ;
IF ASPRETL  = 9                THEN ASPRETL  = . ;
IF ASPRHOL  = 9                THEN ASPRHOL  = . ;
IF ASPREOL  = 9                THEN ASPREOL  = . ;
IF ASBORBO  = 9                THEN ASBORBO  = . ;
IF ASSRATE  = 9                THEN ASSRATE  = . ;
IF ASWAY01  = 9                THEN ASWAY01  = . ;
IF ASWAY02  = 9                THEN ASWAY02  = . ;
IF ASWAY03  = 9                THEN ASWAY03  = . ;
IF ASWAY04  = 9                THEN ASWAY04  = . ;
IF ASWAY05  = 9                THEN ASWAY05  = . ;
IF ASWAY06  = 9                THEN ASWAY06  = . ;
IF ASWAY07  = 9                THEN ASWAY07  = . ;
IF ASWAY08  = 9                THEN ASWAY08  = . ;
IF ASWAY09  = 9                THEN ASWAY09  = . ;
IF ASWAY10  = 9                THEN ASWAY10  = . ;
IF ASWAY11  = 9                THEN ASWAY11  = . ;
IF ASREATL  = 9                THEN ASREATL  = . ;
IF ASASKRE  = 9                THEN ASASKRE  = . ;
IF ASHWKF   = 9                THEN ASHWKF   = . ;
IF ASHWKT   = 9                THEN ASHWKT   = . ;
IF ASQUEST  = 99               THEN ASQUEST  = . ;
IF ASHWKH   = 9                THEN ASHWKH   = . ;
IF ASHWKO   = 9                THEN ASHWKO   = . ;
IF ASWRITE  = 9                THEN ASWRITE  = . ;
IF ASBOOKW  = 9                THEN ASBOOKW  = . ;
IF ASBOOKF  = 9                THEN ASBOOKF  = . ;
IF ASCOMIW  = 9                THEN ASCOMIW  = . ;
IF ASCOMIF  = 9                THEN ASCOMIF  = . ;
IF ASMAGAW  = 9                THEN ASMAGAW  = . ;
IF ASMAGAF  = 9                THEN ASMAGAF  = . ;
IF ASNEWSW  = 9                THEN ASNEWSW  = . ;
IF ASNEWSF  = 9                THEN ASNEWSF  = . ;
IF ASDIRCF  = 9                THEN ASDIRCF  = . ;
IF ASALOUD  = 9                THEN ASALOUD  = . ;
IF ASALOUF  = 9                THEN ASALOUF  = . ;
IF ASALOUW  = 9                THEN ASALOUW  = . ;
IF ASMAT1   = 9                THEN ASMAT1   = . ;
IF ASMAT2   = 9                THEN ASMAT2   = . ;
IF ASMAT3   = 9                THEN ASMAT3   = . ;
IF ASMAT4   = 9                THEN ASMAT4   = . ;
IF ASMAT5   = 9                THEN ASMAT5   = . ;
IF ASMAT6   = 9                THEN ASMAT6   = . ;
IF ASMAT7   = 9                THEN ASMAT7   = . ;
IF ASMAT8   = 9                THEN ASMAT8   = . ;
IF ASTEXTF  = 9                THEN ASTEXTF  = . ;
IF ASSTORF  = 9                THEN ASSTORF  = . ;
IF ASWORKF  = 9                THEN ASWORKF  = . ;
IF ASEXERF  = 9                THEN ASEXERF  = . ;
IF ASINFOF  = 9                THEN ASINFOF  = . ;
IF AWBIRD01 = 9                THEN AWBIRD01 = . ;
IF AWHEAD02 = 9                THEN AWHEAD02 = . ;
IF AWCHIL03 = 9                THEN AWCHIL03 = . ;
IF AWSHOE04 = 9                THEN AWSHOE04 = . ;
IF AWFOOT05 = 9                THEN AWFOOT05 = . ;
IF AWCOAT06 = 9                THEN AWCOAT06 = . ;
IF AWCIRC07 = 9                THEN AWCIRC07 = . ;
IF AWBOY008 = 9                THEN AWBOY008 = . ;
IF AWSNAK09 = 9                THEN AWSNAK09 = . ;
IF AWFING10 = 9                THEN AWFING10 = . ;
IF AWFLAG11 = 9                THEN AWFLAG11 = . ;
IF AWDUCK12 = 9                THEN AWDUCK12 = . ;
IF AWBELL13 = 9                THEN AWBELL13 = . ;
IF AWARRO14 = 9                THEN AWARRO14 = . ;
IF AWMOUS15 = 9                THEN AWMOUS15 = . ;
IF AWBRUS16 = 9                THEN AWBRUS16 = . ;
IF AWORAN17 = 9                THEN AWORAN17 = . ;
IF AWSTAR18 = 9                THEN AWSTAR18 = . ;
IF AWHAMM19 = 9                THEN AWHAMM19 = . ;
IF AWKEY020 = 9                THEN AWKEY020 = . ;
IF AWLAMP21 = 9                THEN AWLAMP21 = . ;
IF AWWOMA22 = 9                THEN AWWOMA22 = . ;
IF AWFISH23 = 9                THEN AWFISH23 = . ;
IF AWHORS24 = 9                THEN AWHORS24 = . ;
IF AWLETT25 = 9                THEN AWLETT25 = . ;
IF AWDRUM26 = 9                THEN AWDRUM26 = . ;
IF AWTWIN27 = 9                THEN AWTWIN27 = . ;
IF AWCOMB28 = 9                THEN AWCOMB28 = . ;
IF AWMAN029 = 9                THEN AWMAN029 = . ;
IF AWFIVE30 = 9                THEN AWFIVE30 = . ;
IF AWKNIF31 = 9                THEN AWKNIF31 = . ;
IF AWHAND32 = 9                THEN AWHAND32 = . ;
IF AWFLOW33 = 9                THEN AWFLOW33 = . ;
IF AWHEAR34 = 9                THEN AWHEAR34 = . ;
IF AWBED035 = 9                THEN AWBED035 = . ;
IF AWCUP036 = 9                THEN AWCUP036 = . ;
IF AWPLAN37 = 9                THEN AWPLAN37 = . ;
IF AWCAP038 = 9                THEN AWCAP038 = . ;
IF AWBUTT39 = 9                THEN AWBUTT39 = . ;
IF AWBOAT40 = 9                THEN AWBOAT40 = . ;
IF AEPCARD1 = 9                THEN AEPCARD1 = . ;
IF AEPCARD2 = 9                THEN AEPCARD2 = . ;
IF ANBIRD01 = 9                THEN ANBIRD01 = . ;
IF ANBIRD02 = 9                THEN ANBIRD02 = . ;
IF ANBIRD03 = 9                THEN ANBIRD03 = . ;
IF ANBIRD04 = 9                THEN ANBIRD04 = . ;
IF ANBIRD05 = 9                THEN ANBIRD05 = . ;
IF ADISLAN1 = 9                THEN ADISLAN1 = . ;
IF ADISLAN2 = 9                THEN ADISLAN2 = . ;
IF ADISLAN3 = 9                THEN ADISLAN3 = . ;
IF ADISLAN4 = 9                THEN ADISLAN4 = . ;
IF ADMARIA1 = 9                THEN ADMARIA1 = . ;
IF ADMARIA2 = 9                THEN ADMARIA2 = . ;
IF ADMARIA3 = 9                THEN ADMARIA3 = . ;
IF ANNODOG1 = 9                THEN ANNODOG1 = . ;
IF ANNODOG2 = 9                THEN ANNODOG2 = . ;
IF ANNODOG3 = 9                THEN ANNODOG3 = . ;
IF ANNODOG4 = 9                THEN ANNODOG4 = . ;
IF ANNODOG5 = 9                THEN ANNODOG5 = . ;
IF ANNODOG6 = 9                THEN ANNODOG6 = . ;
IF AEWALRU1 = 9                THEN AEWALRU1 = . ;
IF AEWALRU2 = 9                THEN AEWALRU2 = . ;
IF AEWALRU3 = 9                THEN AEWALRU3 = . ;
IF AEWALRU4 = 9                THEN AEWALRU4 = . ;
IF AEWALRU5 = 9                THEN AEWALRU5 = . ;
IF AEWALRU6 = 9                THEN AEWALRU6 = . ;
IF AEWALRU7 = 9                THEN AEWALRU7 = . ;
IF AEQSAND1 = 9                THEN AEQSAND1 = . ;
IF AEQSAND2 = 9                THEN AEQSAND2 = . ;
IF AEQSAND3 = 9                THEN AEQSAND3 = . ;
IF ANSHARK1 = 9                THEN ANSHARK1 = . ;
IF ANSHARK2 = 9                THEN ANSHARK2 = . ;
IF ANSHARK3 = 9                THEN ANSHARK3 = . ;
IF ANSHARK4 = 9                THEN ANSHARK4 = . ;
IF ANSHARK5 = 9                THEN ANSHARK5 = . ;
IF ADBOTTL1 = 9                THEN ADBOTTL1 = . ;
IF ADBOTTL2 = 9                THEN ADBOTTL2 = . ;
IF ADBOTTL3 = 9                THEN ADBOTTL3 = . ;
IF ADBOTTL4 = 9                THEN ADBOTTL4 = . ;
IF ADBUSES1 = 9                THEN ADBUSES1 = . ;
IF ADBUSES2 = 9                THEN ADBUSES2 = . ;
IF ADBUSES3 = 9                THEN ADBUSES3 = . ;
IF ADBUSES4 = 9                THEN ADBUSES4 = . ;
IF ADCONTE1 = 9                THEN ADCONTE1 = . ;
IF ADCONTE2 = 9                THEN ADCONTE2 = . ;
IF ADCONTE3 = 9                THEN ADCONTE3 = . ;
IF ADTEMPR1 = 9                THEN ADTEMPR1 = . ;
IF ADTEMPR2 = 9                THEN ADTEMPR2 = . ;
IF ADTEMPR3 = 9                THEN ADTEMPR3 = . ;
IF ADTEMPR4 = 9                THEN ADTEMPR4 = . ;
IF ADTEMPR5 = 9                THEN ADTEMPR5 = . ;
IF AEMARMO1 = 9                THEN AEMARMO1 = . ;
IF AEMARMO2 = 9                THEN AEMARMO2 = . ;
IF AEMARMO3 = 9                THEN AEMARMO3 = . ;
IF AEMARMO4 = 9                THEN AEMARMO4 = . ;
IF ANGRAPA1 = 9                THEN ANGRAPA1 = . ;
IF ANGRAPA2 = 9                THEN ANGRAPA2 = . ;
IF ANGRAPA3 = 9                THEN ANGRAPA3 = . ;
IF ANGRAPA4 = 9                THEN ANGRAPA4 = . ;
IF ANGRAPA5 = 9                THEN ANGRAPA5 = . ;
IF ANGRAPA6 = 9                THEN ANGRAPA6 = . ;
IF ANGRAPA7 = 9                THEN ANGRAPA7 = . ;
IF AETREES1 = 9                THEN AETREES1 = . ;
IF AETREES2 = 9                THEN AETREES2 = . ;
IF AETREES3 = 9                THEN AETREES3 = . ;
IF AETREES4 = 9                THEN AETREES4 = . ;
IF AETREES5 = 9                THEN AETREES5 = . ;
IF AETREES6 = 9                THEN AETREES6 = . ;
IF ITPART   = 9                THEN ITPART   = . ;
IF HOUWGT   = 999999           THEN HOUWGT   = . ;
IF TOTWGT   = 999999           THEN TOTWGT   = . ;
IF SENWGT   = 999999           THEN SENWGT   = . ;
IF WGTADJ1  = 999999           THEN WGTADJ1  = . ;
IF WGTADJ3  = 999999           THEN WGTADJ3  = . ;
IF WGTFAC1  = 999999           THEN WGTFAC1  = . ;
IF WGTFAC2  = 999999           THEN WGTFAC2  = . ;
IF WGTFAC3  = 999999           THEN WGTFAC3  = . ;
IF JKZONE   = 99               THEN JKZONE   = . ;
IF JKREP    = 9                THEN JKREP    = . ;
IF IDSTRATE = 999              THEN IDSTRATE = . ;
IF IDSTRATI = 999              THEN IDSTRATI = . ;
IF ASDSCPT  = 9999             THEN ASDSCPT  = . ;
IF ASESCPT  = 9999             THEN ASESCPT  = . ;
IF ASNSCPT  = 9999             THEN ASNSCPT  = . ;
IF ASASCPT  = 9999             THEN ASASCPT  = . ;
IF ASDSTDR  = 9999             THEN ASDSTDR  = . ;
IF ASDNRSC  = 9999             THEN ASDNRSC  = . ;
IF ASESTDR  = 9999             THEN ASESTDR  = . ;
IF ASENRSC  = 9999             THEN ASENRSC  = . ;
IF ASNSTDR  = 9999             THEN ASNSTDR  = . ;
IF ASNNRSC  = 9999             THEN ASNNRSC  = . ;
IF ASASTDR  = 9999             THEN ASASTDR  = . ;
IF ASANRSC  = 9999             THEN ASANRSC  = . ;
IF ASRDOC01 = 999999           THEN ASRDOC01 = . ;
IF ASRDOC02 = 999999           THEN ASRDOC02 = . ;
IF ASRDOC03 = 999999           THEN ASRDOC03 = . ;
IF ASRDOC04 = 999999           THEN ASRDOC04 = . ;
IF ASRDOC05 = 999999           THEN ASRDOC05 = . ;
IF ASREXP01 = 999999           THEN ASREXP01 = . ;
IF ASREXP02 = 999999           THEN ASREXP02 = . ;
IF ASREXP03 = 999999           THEN ASREXP03 = . ;
IF ASREXP04 = 999999           THEN ASREXP04 = . ;
IF ASREXP05 = 999999           THEN ASREXP05 = . ;
IF ASRNAR01 = 999999           THEN ASRNAR01 = . ;
IF ASRNAR02 = 999999           THEN ASRNAR02 = . ;
IF ASRNAR03 = 999999           THEN ASRNAR03 = . ;
IF ASRNAR04 = 999999           THEN ASRNAR04 = . ;
IF ASRNAR05 = 999999           THEN ASRNAR05 = . ;
IF ASRREA01 = 999999           THEN ASRREA01 = . ;
IF ASRREA02 = 999999           THEN ASRREA02 = . ;
IF ASRREA03 = 999999           THEN ASRREA03 = . ;
IF ASRREA04 = 999999           THEN ASRREA04 = . ;
IF ASRREA05 = 999999           THEN ASRREA05 = . ;

%PUT INFO: assign variable labels to recoded variables ;
LABEL
;

proc sort ; by idcntry idstud;

       %let i = %eval(&i + 1);
     %end;
run;
%mend doit;

%doit;











