title "Example 2: PIRLS 2001 User Guide".

add files
 / file = "c:\pirls\data\asgargr1.sav"
 / file = "c:\pirls\data\asgbgrr1.sav"
 / file = "c:\pirls\data\asgswer1.sav"
 / file = "c:\pirls\data\asgturr1.sav"
 / file = "c:\pirls\data\asgusar1.sav" .

select if not(missing(asbgbook)) and idgrader = 2.

value labels
 idcntry  32 'Argentina' 100 'Bulgaria' 752 'Sweden' 792 'Turkey' 840 'United States'.
 asbgbook 1  '0 -10 BOOKS' 2 '11-25 BOOKS' 3 '26-100 BOOKS' 4 '101-200 BOOKS' 5 'MORE THAN 200 BOOKS'.

save outfile = student.

* Now use the macro to get the results.
include "c:\pirls\programs\jackpv.sps".

jackpv infile= student  /
       cvar  = idcntry asbgbook /
       pvs   = asrrea01 to asrrea05 /
       npv   = 5        /
       jkz   = JKZONE   /
       jkr   = JKREP    /
       njkz  = 75       /
       WGT   = TOTWGT   .

sort cases by idcntry.

print formats n (f6.0) totwgt (f10.0) mnpv mnpv_se pct pct_se (f6.2).

report format=list automatic
  / var   = asbgbook (label) n totwgt mnpv mnpv_se pct pct_se
  / break = idcntry .
