%let cty = ARG BGR BLZ CAN COL CYP CZE DEU ENG FRA
           GRC HKG HUN IRN ISL ISR ITA KWT LTU LVA
           MAR MDA MKD NLD NOR NZL ROM RUS SCO SGP
           SVK SVN SWE TUR USA;

%let type = ast;
%let sortvar = idcntry idteach idlink;

Options nosource nocenter mprint;

LIBNAME libdat  "c:\pirls\Data" ;
LIBNAME library "c:\pirls\Data" ;

%macro doit;

data &type.ALLR1;
 set 
     %let i = 1;
     %do %while(%length(%scan(&cty,&i)));
       %let ccode = %lowcase(%scan(&cty,&i));
          libdat.&type.&ccode.r1
       %let i = %eval(&i + 1);
     %end;
;

proc sort data=&type.ALLR1 out = libdat.&type.ALLR1;
  by &sortvar;

run;

%mend doit;

%doit;






